Index: general/prog/php.xml
===================================================================
--- general/prog/php.xml	(revision 33ba4459b0033c65efe63f573b02ea4853595413)
+++ general/prog/php.xml	(revision 577eb27cbf8c7e443daf8441bd33315a7261c9af)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY php-download-http "http://us2.php.net/distributions/php-&php-version;.tar.xz">
+  <!ENTITY php-download-http "http://www.php.net/distributions/php-&php-version;.tar.xz">
   <!ENTITY php-download-ftp  "ftp://ftp.isu.edu.tw/pub/Unix/Web/PHP/distributions/php-&php-version;.tar.xz">
-  <!ENTITY php-md5sum        "7635f344145a4edd7dff6ecec795aaea">
+  <!ENTITY php-md5sum        "bf824c5e5c7f49ca5f7350d72cba4881">
   <!ENTITY php-size          "11 MB">
-  <!ENTITY php-buildsize     "377 MB (additional 1 MB to run the test suite and 102 MB for documentation)">
-  <!ENTITY php-time          "4.1 SBU (additional 2.3 SBU to run the test suite)">
+  <!ENTITY php-buildsize     "443 MB (additional 1 MB to run the test suite and 102 MB for documentation)">
+  <!ENTITY php-time          "3.7 SBU (additional 2.1 SBU to run the test suite)">
 ]>
 
@@ -30,8 +30,10 @@
     <title>Introduction to PHP</title>
 
-    <para><application>PHP</application> is the PHP Hypertext Preprocessor.
-    Primarily used in dynamic web sites, it allows for programming code to be
-    directly embedded into the HTML markup.  It is also useful as a
-    general purpose scripting language.</para>
+    <para>
+      <application>PHP</application> is the PHP Hypertext Preprocessor.
+      Primarily used in dynamic web sites, it allows for programming code to be
+      directly embedded into the HTML markup.  It is also useful as a
+      general purpose scripting language.
+    </para>
 
     &lfs76_checked;
@@ -40,20 +42,32 @@
     <itemizedlist spacing="compact">
       <listitem>
-        <para>Download (HTTP): <ulink url="&php-download-http;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download (FTP): <ulink url="&php-download-ftp;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download MD5 sum: &php-md5sum;</para>
-      </listitem>
-      <listitem>
-        <para>Download size: &php-size;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated disk space required: &php-buildsize;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated build time: &php-time;</para>
+        <para>
+          Download (HTTP): <ulink url="&php-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&php-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &php-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &php-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &php-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &php-time;
+        </para>
       </listitem>
     </itemizedlist>
@@ -62,6 +76,8 @@
     <itemizedlist spacing="compact">
       <listitem>
-        <para>Pre-built documentation (optional): <ulink
-        url="http://www.php.net/download-docs.php"/></para>
+        <para>
+          Pre-built documentation (optional): <ulink
+          url="http://www.php.net/download-docs.php"/>
+        </para>
       </listitem>
     </itemizedlist>
@@ -76,71 +92,82 @@
 
     <bridgehead renderas="sect4">Optional System Utilities and Libraries</bridgehead>
-    <para role="optional"><xref linkend="libxslt"/>,
-    <!-- <xref linkend="gamin"/>, -->
-    <xref linkend="pcre"/>,
-    <xref linkend="aspell"/>,
-    <xref linkend="enchant"/>,
-    <xref linkend="pth"/>,
-    an <xref linkend="server-mail"/> (that provides a
-    <command>sendmail</command> command)
-    <ulink url="http://www.ossp.org/pkg/lib/mm/">OSSP mm</ulink>,
-    <ulink url="http://www.net-snmp.org/">Net-SNMP</ulink>,
-    <ulink url="http://re2c.org/">re2c</ulink>,
-    <ulink url="http://xmlrpc-epi.sourceforge.net/main.php?t=php_about">XMLRPC-EPI</ulink>, and
-    <ulink url="http://dmalloc.com/">Dmalloc</ulink></para>
+    <para role="optional">
+      <xref linkend="libxslt"/>,
+      <xref linkend="pcre"/>,
+      <xref linkend="aspell"/>,
+      <xref linkend="enchant"/>,
+      <xref linkend="pth"/>,
+      an <xref linkend="server-mail"/> (that provides a
+      <command>sendmail</command> command)
+      <ulink url="http://www.ossp.org/pkg/lib/mm/">OSSP mm</ulink>,
+      <ulink url="http://www.net-snmp.org/">Net-SNMP</ulink>,
+      <ulink url="http://re2c.org/">re2c</ulink>,
+      <ulink url="http://xmlrpc-epi.sourceforge.net/main.php?t=php_about">XMLRPC-EPI</ulink>, and
+      <ulink url="http://dmalloc.com/">Dmalloc</ulink>
+    </para>
 
     <bridgehead renderas="sect4">Optional Graphics Utilities and Libraries</bridgehead>
-    <para role="optional"><xref linkend="libjpeg"/>,
-    <xref linkend="libtiff"/>,
-    <xref linkend="libpng"/>,
-    <xref linkend="libexif"/>,
-    <xref linkend="freetype2"/>,
-    <xref linkend="x-window-system"/>,
-    <ulink url="http://www.fastio.com/">ClibPDF</ulink>,
-    <ulink url="https://bitbucket.org/libgd/gd-libgd/downloads">GD</ulink>,
-    <ulink url="http://fossies.org/linux/misc/t1lib-5.1.2.tar.gz/">t1lib</ulink>, and
-    <ulink url="http://www.adobe.com/devnet/acrobat/fdftoolkit.html">FDF Toolkit</ulink></para>
+    <para role="optional">
+      <xref linkend="libjpeg"/>,
+      <xref linkend="libtiff"/>,
+      <xref linkend="libpng"/>,
+      <xref linkend="libexif"/>,
+      <xref linkend="freetype2"/>,
+      <xref linkend="x-window-system"/>,
+      <ulink url="http://www.fastio.com/">ClibPDF</ulink>,
+      <ulink url="https://bitbucket.org/libgd/gd-libgd/downloads">GD</ulink>,
+      <ulink url="http://fossies.org/linux/misc/t1lib-5.1.2.tar.gz/">t1lib</ulink>, and
+      <ulink url="http://www.adobe.com/devnet/acrobat/fdftoolkit.html">FDF Toolkit</ulink>
+    </para>
 
     <bridgehead renderas="sect4">Optional Web Utilities</bridgehead>
-    <para role="optional"><xref linkend="curl"/>,
-    <xref linkend="html-tidy"/>,
-    <ulink url="http://www.mnogosearch.org/">mnoGoSearch</ulink>,
-    <ulink url="http://www.hyperwave.com/">Hyperwave</ulink>,
-    <ulink url="http://www.roxen.com/products/webserver/">Roxen WebServer</ulink>,
-    <ulink url="http://sourceforge.net/projects/caudium/">Caudium</ulink>, and
-    <ulink url="https://wddxnet.codeplex.com/">WDDX</ulink></para>
+    <para role="optional">
+      <xref linkend="curl"/>,
+      <xref linkend="html-tidy"/>,
+      <ulink url="http://www.mnogosearch.org/">mnoGoSearch</ulink>,
+      <ulink url="http://www.hyperwave.com/">Hyperwave</ulink>,
+      <ulink url="http://www.roxen.com/products/webserver/">Roxen WebServer</ulink>,
+      <ulink url="http://sourceforge.net/projects/caudium/">Caudium</ulink>, and
+      <ulink url="https://wddxnet.codeplex.com/">WDDX</ulink>
+    </para>
 
     <bridgehead renderas="sect4">Optional Data Management Utilities and Libraries</bridgehead>
-    <para role="optional"><xref linkend="openldap"/>,
-    <!-- <xref linkend="gdbm"/>, -->
-    <xref linkend="db"/>,
-    <xref linkend="mariadb"/> or <ulink url="http://www.mysql.com/">MySQL</ulink>,
-    <xref linkend="postgresql"/>,
-    <xref linkend="unixodbc"/>,
-    <xref linkend="sqlite"/>,
-    <ulink url="http://sourceforge.net/projects/qdbm">QDBM</ulink>,
-    <ulink url="http://cr.yp.to/cdb.html">cdb</ulink>,
-    <ulink url="http://www.hughes.com.au/products/msql/">Mini SQL</ulink>,
-    <ulink url="http://www.empress.com/">Empress</ulink>,
-    <ulink url="http://www.birdstep.com/">Birdstep</ulink>,
-    <ulink url="http://www.dbmaker.com/">DBMaker</ulink>,
-    <ulink url="http://www.softwareag.com/">Adabas</ulink>,
-    <ulink url="http://www.frontbase.com/">FrontBase</ulink>, and
-    <ulink url="http://www.mainstreetsoftworks.com/">Monetra</ulink></para>
-
-    <para><application>PHP</application> also provides support for many
-    commercial database tools such as <application>Oracle</application>,
-    <application>SAP</application> and
-    <application>ODBC Router</application>.</para>
+    <para role="optional">
+      <xref linkend="openldap"/>,
+      <xref linkend="db"/>,
+      <xref linkend="mariadb"/> or <ulink url="http://www.mysql.com/">MySQL</ulink>,
+      <xref linkend="postgresql"/>,
+      <xref linkend="unixodbc"/>,
+      <xref linkend="sqlite"/>,
+      <ulink url="http://sourceforge.net/projects/qdbm">QDBM</ulink>,
+      <ulink url="http://cr.yp.to/cdb.html">cdb</ulink>,
+      <ulink url="http://www.hughes.com.au/products/msql/">Mini SQL</ulink>,
+      <ulink url="http://www.empress.com/">Empress</ulink>,
+      <ulink url="http://www.birdstep.com/">Birdstep</ulink>,
+      <ulink url="http://www.dbmaker.com/">DBMaker</ulink>,
+      <ulink url="http://www.softwareag.com/">Adabas</ulink>,
+      <ulink url="http://www.frontbase.com/">FrontBase</ulink>, and
+      <ulink url="http://www.mainstreetsoftworks.com/">Monetra</ulink>
+    </para>
+
+    <para>
+      <application>PHP</application> also provides support for many
+      commercial database tools such as <application>Oracle</application>,
+      <application>SAP</application> and
+      <application>ODBC Router</application>.
+    </para>
 
     <bridgehead renderas="sect4">Optional Security/Encryption Utilities and Libraries</bridgehead>
-    <para role="optional"><xref linkend="openssl"/>,
-    <xref linkend="cyrus-sasl"/>,
-    <xref linkend="mitkrb"/>,
-    <ulink url="http://mcrypt.sourceforge.net/">libmcrypt</ulink>, and
-    <ulink url="http://mhash.sourceforge.net/">mhash</ulink></para>
-
-    <para condition="html" role="usernotes">User Notes:
-    <ulink url="&blfs-wiki;/php"/></para>
+    <para role="optional">
+      <xref linkend="openssl"/>,
+      <xref linkend="cyrus-sasl"/>,
+      <xref linkend="mitkrb"/>,
+      <ulink url="http://mcrypt.sourceforge.net/">libmcrypt</ulink>, and
+      <ulink url="http://mhash.sourceforge.net/">mhash</ulink>
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/php"/>
+    </para>
 
   </sect2>
@@ -149,30 +176,36 @@
     <title>Installation of PHP</title>
 
-    <para>You can use <application>PHP</application> for server-side
-    scripting, command-line scripting or client-side GUI applications. This
-    book provides instructions for setting up <application>PHP</application>
-    for server-side scripting as it is the most common form.</para>
+    <para>
+      You can use <application>PHP</application> for server-side
+      scripting, command-line scripting or client-side GUI applications. This
+      book provides instructions for setting up <application>PHP</application>
+      for server-side scripting as it is the most common form.
+    </para>
 
     <note>
-      <para><application>PHP</application> has many more
-      <command>configure</command> options that will enable support for various
-      things. You can use <command>./configure --help</command> to see a full
-      list of the available options. Also, use of the
-      <ulink url="http://www.php.net/">PHP web site</ulink>
-      is highly recommended, as their online docs are very good. An example of
-      a <command>configure</command> command that utilizes many of the most
-      common dependencies can be found at <ulink
-      url="&files-anduin;/php_configure.txt"/>.
-      </para>
-
-      <para>If, for whatever reason, you don't have <xref linkend="libxml2"/>
-      installed, you need to add <option>--disable-libxml</option> to the
-      <command>configure</command> command in the instructions below. Note that
-      this will prevent the <command>pear</command> command from being
-      built.</para>
+      <para>
+        <application>PHP</application> has many more
+        <command>configure</command> options that will enable support for
+        various things. You can use <command>./configure --help</command> to
+        see a full list of the available options. Also, use of the
+        <ulink url="http://www.php.net/">PHP web site</ulink>
+        is highly recommended, as their online docs are very good. An example
+        of a <command>configure</command> command that utilizes many of the
+        most common dependencies can be found at <ulink
+        url="&files-anduin;/php_configure.txt"/>.
+      </para>
+
+      <para>
+        If, for whatever reason, you don't have <xref linkend="libxml2"/>
+        installed, you need to add <option>--disable-libxml</option> to the
+        <command>configure</command> command in the instructions below. Note
+        that this will prevent the <command>pear</command> command from being
+        built.
+      </para>
     </note>
 
-    <para>Install <application>PHP</application> by
-    running the following commands:</para>
+    <para>
+      Install <application>PHP</application> by running the following commands:
+    </para>
 
 <screen><userinput>./configure --prefix=/usr                \
@@ -198,10 +231,14 @@
 make</userinput></screen>
 
-    <para>To test the results, issue: <command>make test</command>. A few
-    tests may fail, in which case you are asked whether you want to send
-    the report to the PHP developpers. If you want to automate the test,
-    you may prefix the command with <command>yes "n" | </command>.</para>
-
-    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+    <para>
+      To test the results, issue: <command>make test</command>. A few
+      tests may fail, in which case you are asked whether you want to send
+      the report to the PHP developpers. If you want to automate the test,
+      you may prefix the command with <command>yes "n" | </command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
 
 <!-- dev note: make INSTALL_ROOT=<DESTDIR> install -->
@@ -219,14 +256,18 @@
                     /usr/share/doc/php-&php-version;</userinput></screen>
 
-    <para>The pre-built HTML documentation is packaged in two forms: a tarball
-    containing many individual files, useful for quick loading into your
-    browser, and one large individual file, which is useful for using the
-    search utility of your browser. If you downloaded either, or both, of the
-    documentation files, issue the following commands as the
-    <systemitem class='username'>root</systemitem> user to install them (note
-    these instructions assume English docs, modify the tarball names below if
-    necessary).</para>
-
-    <para>For the <quote>Single HTML</quote> file:</para>
+    <para>
+      The pre-built HTML documentation is packaged in two forms: a tarball
+      containing many individual files, useful for quick loading into your
+      browser, and one large individual file, which is useful for using the
+      search utility of your browser. If you downloaded either, or both, of the
+      documentation files, issue the following commands as the
+      <systemitem class='username'>root</systemitem> user to install them (note
+      these instructions assume English docs, modify the tarball names below if
+      necessary).
+    </para>
+
+    <para>
+      For the <quote>Single HTML</quote> file:
+    </para>
 
 <screen role="root"><userinput>install -v -m644 ../php_manual_en.html.gz \
@@ -234,5 +275,7 @@
 gunzip -v /usr/share/doc/php-&php-version;/php_manual_en.html.gz</userinput></screen>
 
-    <para>For the <quote>Many HTML files</quote> tarball:</para>
+    <para>
+      For the <quote>Many HTML files</quote> tarball:
+    </para>
 
 <screen role="root"><userinput>tar -xvf ../php_manual_en.tar.gz \
@@ -242,58 +285,88 @@
 
   <sect2 role="commands">
-      <title>Command Explanations</title>
-
-      <para><parameter>--with-datadir=/usr/share/php</parameter>: This works
-      around a bug in the build machinery, which installs some data to a
-      wrong location.</para>
-
-      <para><parameter>--enable-fpm</parameter>: This parameter allows
-      building the fastCGI Process Manager.</para>
-
-      <para><parameter>--with-config-file-path=/etc</parameter>: This parameter
-      makes <application>PHP</application> look for the
-      <filename>php.ini</filename> configuration file in
-      <filename class='directory'>/etc</filename>.</para>
-
-      <para><parameter>--with-zlib</parameter>: This parameter adds
-      support for <application>Zlib</application> compression.</para>
-
-      <para><parameter>--enable-bcmath</parameter>: Enables
-      <command>bc</command> style precision math functions.</para>
-
-      <para><parameter>--with-bz2</parameter>: Adds support for
-      <application>Bzip2</application> compression functions.</para>
-
-      <para><parameter>--enable-calendar</parameter>: This parameter
-      provides support for calendar conversion.</para>
-
-      <para><parameter>--enable-dba=shared</parameter>: This parameter enables
-      support for database (dbm-style) abstraction layer functions.</para>
-
-      <para><parameter>--enable-ftp</parameter>: This parameter
-      enables FTP functions.</para>
-
-      <para><parameter>--with-gettext</parameter>: Enables functions
-      that use <application>Gettext</application> text translation.</para>
-
-      <para><parameter>--enable-mbstring</parameter>: This parameter
-      enables multibyte string support.</para>
-
-      <para><parameter>--with-readline</parameter>: This parameter
-      enables command line <application>Readline</application> support.</para>
-
-      <para><option>--with-mysql</option>: This option
-      includes <application>MariaDB/MySQL</application> support.</para>
-
-      <para><option>--disable-libxml</option>: This option
-      allows building PHP without <application>libxml2</application>
-      installed.</para>
-
-      <para><option>--with-apxs2</option>: Instead of building the fastCGI process
-      manager, it is possible to build an <application>apache</application> module.
-      This has some performance penalty for heavy loaded servers, but may be easier
-      to set up. This switch is incompatible with the
-      <parameter>--enable-fpm</parameter> and <parameter>--with-fpm-...</parameter>
-      switches.</para>
+    <title>Command Explanations</title>
+
+      <para>
+        <parameter>--with-datadir=/usr/share/php</parameter>: This works
+        around a bug in the build machinery, which installs some data to a
+        wrong location.
+      </para>
+
+      <para>
+        <parameter>--enable-fpm</parameter>: This parameter allows
+        building the fastCGI Process Manager.
+      </para>
+
+      <para>
+        <parameter>--with-config-file-path=/etc</parameter>: This parameter
+        makes <application>PHP</application> look for the
+        <filename>php.ini</filename> configuration file in
+        <filename class='directory'>/etc</filename>.
+      </para>
+
+      <para>
+        <parameter>--with-zlib</parameter>: This parameter adds
+        support for <application>Zlib</application> compression.
+      </para>
+
+      <para>
+        <parameter>--enable-bcmath</parameter>: Enables
+        <command>bc</command> style precision math functions.
+      </para>
+
+      <para>
+        <parameter>--with-bz2</parameter>: Adds support for
+        <application>Bzip2</application> compression functions.
+      </para>
+
+      <para>
+        <parameter>--enable-calendar</parameter>: This parameter
+        provides support for calendar conversion.
+      </para>
+
+      <para>
+        <parameter>--enable-dba=shared</parameter>: This parameter enables
+        support for database (dbm-style) abstraction layer functions.
+      </para>
+
+      <para>
+        <parameter>--enable-ftp</parameter>: This parameter
+        enables FTP functions.
+      </para>
+
+      <para>
+        <parameter>--with-gettext</parameter>: Enables functions
+        that use <application>Gettext</application> text translation.
+      </para>
+
+      <para>
+        <parameter>--enable-mbstring</parameter>: This parameter
+        enables multibyte string support.
+      </para>
+
+      <para>
+        <parameter>--with-readline</parameter>: This parameter
+        enables command line <application>Readline</application> support.
+      </para>
+
+      <para>
+        <option>--with-mysql</option>: This option
+        includes <application>MariaDB/MySQL</application> support.
+      </para>
+
+      <para>
+        <option>--disable-libxml</option>: This option
+        allows building PHP without <application>libxml2</application>
+        installed.
+      </para>
+
+      <para>
+        <option>--with-apxs2</option>: Instead of building the fastCGI process
+        manager, it is possible to build an <application>apache</application>
+        module.  This has some performance penalty for heavy loaded servers,
+        but may be easier to set up. This switch is incompatible with the
+        <parameter>--enable-fpm</parameter> and
+        <parameter>--with-fpm-...</parameter> switches.
+      </para>
 
   </sect2>
@@ -305,7 +378,9 @@
       <title>Config Files</title>
 
-      <para><filename>/etc/php.ini</filename>,
-      <filename>/etc/pear.conf</filename> and
-      <filename>/etc/php-fpm.conf</filename></para>
+      <para>
+        <filename>/etc/php.ini</filename>,
+        <filename>/etc/pear.conf</filename>, and
+        <filename>/etc/php-fpm.conf</filename>
+      </para>
 
       <indexterm zone="php php-config">
@@ -326,27 +401,36 @@
       <title>Configuration Information</title>
 
-      <para>The file used as the default <filename>/etc/php.ini</filename>
-      configuration file is recommended by the <application>PHP</application>
-      development team. This file modifies the default behavior of
-      <application>PHP</application>.  If no <filename>/etc/php.ini</filename>
-      is used, all configuration settings fall to the defaults. You should
-      review the comments in this file and ensure the changes are acceptable
-      in your particular environment.</para>
-
-      <para>You may have noticed the following from the output of the
-      <command>make install</command> command:</para>
+      <para>
+        The file used as the default <filename>/etc/php.ini</filename>
+        configuration file is recommended by the <application>PHP</application>
+        development team. This file modifies the default behavior of
+        <application>PHP</application>.  If no <filename>/etc/php.ini</filename>
+        is used, all configuration settings fall to the defaults. You should
+        review the comments in this file and ensure the changes are acceptable
+        in your particular environment.
+      </para>
+
+      <para>
+        You may have noticed the following from the output of the
+        <command>make install</command> command:
+     </para>
 
 <screen><computeroutput>You may want to add: /usr/lib/php to your php.ini include_path</computeroutput></screen>
 
-      <para>If desired, add the entry using the following command as the
-      <systemitem class="username">root</systemitem> user:</para>
+      <para>
+        If desired, add the entry using the following command as the
+        <systemitem class="username">root</systemitem> user:
+      </para>
 
 <screen role="root"><userinput>sed -i 's@php/includes"@&amp;\ninclude_path = ".:/usr/lib/php"@' \
     /etc/php.ini</userinput></screen>
 
-      <para>To enable fastCGI support in the <application>Apache</application>
-      web server, two LoadModule directives must be added to the
-      <filename>httpd.conf</filename> file. They are commented out, so just issue the
-      following command as <systemitem class="username">root</systemitem> user:</para>
+      <para>
+        To enable fastCGI support in the <application>Apache</application>
+        web server, two LoadModule directives must be added to the
+        <filename>httpd.conf</filename> file. They are commented out, so just
+        issue the following command as
+        <systemitem class="username">root</systemitem> user:
+      </para>
 
 <screen role="root"><userinput>sed -i -e '/proxy_module/s/^#//'      \
@@ -354,7 +438,9 @@
        /etc/httpd/httpd.conf</userinput></screen>
 
-      <para>Those modules accept various <command>ProxyPass</command>
-      directives. One possibility is (as the
-      <systemitem class="username">root</systemitem> user):</para>
+      <para>
+        Those modules accept various <command>ProxyPass</command>
+        directives. One possibility is (as the
+        <systemitem class="username">root</systemitem> user):
+      </para>
 
 <screen role="root"><userinput>echo \
@@ -362,16 +448,20 @@
 /etc/httpd/httpd.conf</userinput></screen>
 
-      <para>Additionally, it may be useful to add an entry for
-      <filename>index.php</filename> to the DirectoryIndex directive of the
-      <filename>httpd.conf</filename> file. Lastly, adding a line to setup the
-      <filename class='extension'>.phps</filename> extension to show
-      highlighted <application>PHP</application> source may be
-      desirable:</para>
+      <para>
+        Additionally, it may be useful to add an entry for
+        <filename>index.php</filename> to the DirectoryIndex directive of the
+        <filename>httpd.conf</filename> file. Lastly, adding a line to setup the
+        <filename class='extension'>.phps</filename> extension to show
+        highlighted <application>PHP</application> source may be
+        desirable:
+      </para>
 
 <screen><literal>AddType application/x-httpd-php-source .phps</literal></screen>
 
-      <para>You'll need to restart the <application>Apache</application> web server
-      after making any modifications to the <filename>httpd.conf</filename>
-      file.</para>
+      <para>
+        You'll need to restart the <application>Apache</application> web server
+        after making any modifications to the <filename>httpd.conf</filename>
+        file.
+      </para>
 
     </sect3>
@@ -423,6 +513,8 @@
         <term><command>php</command></term>
         <listitem>
-          <para>is a command line interface that enables you to parse and
-          execute PHP code.</para>
+          <para>
+            is a command line interface that enables you to parse and
+            execute PHP code.
+          </para>
           <indexterm zone="php php-prog">
             <primary sortas="b-php">php</primary>
@@ -434,6 +526,8 @@
         <term><command>pear</command></term>
         <listitem>
-          <para>is the PHP Extension and Application
-          Repository (PEAR) package manager.</para>
+          <para>
+            is the PHP Extension and Application Repository (PEAR) package
+            manager.
+          </para>
           <indexterm zone="php pear">
             <primary sortas="b-pear">pear</primary>
@@ -445,5 +539,7 @@
         <term><command>php-fpm</command></term>
         <listitem>
-          <para>is the fastCGI process manager for PHP.</para>
+          <para>
+            is the fastCGI process manager for PHP.
+          </para>
           <indexterm zone="php php-fpm">
             <primary sortas="b-php-fpm">php-fpm</primary>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 33ba4459b0033c65efe63f573b02ea4853595413)
+++ introduction/welcome/changelog.xml	(revision 577eb27cbf8c7e443daf8441bd33315a7261c9af)
@@ -49,4 +49,8 @@
       <itemizedlist>
         <listitem>
+          <para>[pierre] - Update to php-5.6.4. Fixes
+          <ulink url="&blfs-ticket-root;5963">#5963</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[igor] - Update to xorg-server-1.16.3. Fixes
           <ulink url="&blfs-ticket-root;5974">#5974</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 33ba4459b0033c65efe63f573b02ea4853595413)
+++ packages.ent	(revision 577eb27cbf8c7e443daf8441bd33315a7261c9af)
@@ -266,5 +266,5 @@
 <!ENTITY nasm-version                 "2.11.06">
 <!ENTITY npapi-sdk-version            "0.27.2">
-<!ENTITY php-version                  "5.6.3">
+<!ENTITY php-version                  "5.6.4">
 <!ENTITY python2-version              "2.7.9">
 <!ENTITY python3-version              "3.4.2">