Index: gnome/gnome.ent
===================================================================
--- gnome/gnome.ent	(revision d458e2c000073112ddda8e2e4e25a760a6e40f0a)
+++ gnome/gnome.ent	(revision 579b09a0e9905c5b24179ba104d48ce31974cbaa)
@@ -26,5 +26,5 @@
 <!ENTITY % libgnomecanvas SYSTEM "lib/libgnomecanvas/libgnomecanvas.ent">
 <!ENTITY % libbonoboui SYSTEM "lib/libbonoboui/libbonoboui.ent">
-<!ENTITY % libgnomeui SYSTEM "lib/gnomelib/libgnomeui.ent">
+<!ENTITY % libgnomeui SYSTEM "lib/libgnomeui/libgnomeui.ent">
 <!ENTITY % libwnck SYSTEM "lib/libwnck/libwnck.ent">
 <!ENTITY % libgnomeprint SYSTEM "lib/libgnomeprint/libgnomeprint.ent">
Index: ome/lib/gnomelib/libgnomeui-desc.xml
===================================================================
--- gnome/lib/gnomelib/libgnomeui-desc.xml	(revision d458e2c000073112ddda8e2e4e25a760a6e40f0a)
+++ 	(revision )
@@ -1,18 +1,0 @@
-<sect2>
-<title>Contents</title>
-
-<para>The <application>libgnomeui</application> package contains
-<filename class="libraryfile">libgnomeui</filename> libraries.</para>
-
-</sect2>
-
-<sect2><title>Description</title>
-
-<sect3><title>libgnomeui libraries</title>
-<para><filename class="libraryfile">libgnomeui</filename> libraries is the
-<acronym>GUI</acronym> portion of the
-<application><acronym>GNOME</acronym></application> libraries.</para></sect3>
-
-
-</sect2>
-
Index: ome/lib/gnomelib/libgnomeui-exp.xml
===================================================================
--- gnome/lib/gnomelib/libgnomeui-exp.xml	(revision d458e2c000073112ddda8e2e4e25a760a6e40f0a)
+++ 	(revision )
@@ -1,12 +1,0 @@
-<sect2>
-<title>Command explanations</title>
-
-<para><parameter>--libexecdir=$GNOME_PREFIX/sbin</parameter>: This switch puts
-libexec files in <filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
-<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
-
-<para><option>--disable-gtk-doc</option>: This switch prevents
-rebuilding the documentation during the <command>make</command> command.</para>
-
-</sect2>
-
Index: ome/lib/gnomelib/libgnomeui-inst.xml
===================================================================
--- gnome/lib/gnomelib/libgnomeui-inst.xml	(revision d458e2c000073112ddda8e2e4e25a760a6e40f0a)
+++ 	(revision )
@@ -1,12 +1,0 @@
-<sect2>
-<title>Installation of <application>libgnomeui</application></title>
-
-<para>Install <application>libgnomeui</application> by running the following commands:</para>
-
-<screen><userinput><command>./configure --prefix=$GNOME_PREFIX --libexecdir=$GNOME_PREFIX/sbin \
---disable-gtk-doc &amp;&amp;
-make &amp;&amp;
-make install</command></userinput></screen>
-
-</sect2>
-
Index: ome/lib/gnomelib/libgnomeui-intro.xml
===================================================================
--- gnome/lib/gnomelib/libgnomeui-intro.xml	(revision d458e2c000073112ddda8e2e4e25a760a6e40f0a)
+++ 	(revision )
@@ -1,29 +1,0 @@
-<sect2>
-<title>Introduction to <application>libgnomeui</application></title>
-
-<para>The <application>libgnomeui</application> package contains
-<filename class="libraryfile">libgnomeui</filename> libraries.</para>
-
-<sect3><title>Package information</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink
-url="&libgnomeui-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink
-url="&libgnomeui-download-ftp;"/></para></listitem>
-<listitem><para>Download size: &libgnomeui-size;</para></listitem>
-<listitem><para>Estimated Disk space required:
-&libgnomeui-buildsize;</para></listitem>
-<listitem><para>Estimated build time:
-&libgnomeui-time;</para></listitem></itemizedlist>
-</sect3>
-
-<sect3><title><application>libgnomeui</application> dependencies</title>
-<sect4><title>Required</title>
-<para><xref linkend="libgnome"/>, <xref linkend="libgnomecanvas"/>,
-<xref linkend="libbonoboui"/></para></sect4>
-<sect4><title>Optional</title>
-<para><xref linkend="gtk-doc"/> and <xref linkend="sgml-dtd-3"/></para></sect4>
-</sect3>
-
-
-</sect2>
Index: ome/lib/gnomelib/libgnomeui.ent
===================================================================
--- gnome/lib/gnomelib/libgnomeui.ent	(revision d458e2c000073112ddda8e2e4e25a760a6e40f0a)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<!ENTITY libgnomeui SYSTEM "../libgnomeui.xml">
-<!ENTITY libgnomeui-intro SYSTEM "libgnomeui-intro.xml">
-<!ENTITY libgnomeui-inst SYSTEM "libgnomeui-inst.xml">
-<!ENTITY libgnomeui-exp SYSTEM "libgnomeui-exp.xml">
-<!ENTITY libgnomeui-desc SYSTEM "libgnomeui-desc.xml">
-<!ENTITY libgnomeui-version "2.2.2">
-<!ENTITY libgnomeui-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnomeui/2.2/libgnomeui-&libgnomeui-version;.tar.bz2">
-<!ENTITY libgnomeui-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnomeui/2.2/libgnomeui-&libgnomeui-version;.tar.bz2">
-<!ENTITY libgnomeui-size "1.2 MB">
-<!ENTITY libgnomeui-buildsize "54.7 MB">
-<!ENTITY libgnomeui-time "1.10 SBU">
Index: gnome/lib/libgnomeui/libgnomeui-desc.xml
===================================================================
--- gnome/lib/libgnomeui/libgnomeui-desc.xml	(revision 579b09a0e9905c5b24179ba104d48ce31974cbaa)
+++ gnome/lib/libgnomeui/libgnomeui-desc.xml	(revision 579b09a0e9905c5b24179ba104d48ce31974cbaa)
@@ -0,0 +1,18 @@
+<sect2>
+<title>Contents</title>
+
+<para>The <application>libgnomeui</application> package contains
+<filename class="libraryfile">libgnomeui</filename> libraries.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>libgnomeui libraries</title>
+<para><filename class="libraryfile">libgnomeui</filename> libraries is the
+<acronym>GUI</acronym> portion of the
+<application><acronym>GNOME</acronym></application> libraries.</para></sect3>
+
+
+</sect2>
+
Index: gnome/lib/libgnomeui/libgnomeui-exp.xml
===================================================================
--- gnome/lib/libgnomeui/libgnomeui-exp.xml	(revision 579b09a0e9905c5b24179ba104d48ce31974cbaa)
+++ gnome/lib/libgnomeui/libgnomeui-exp.xml	(revision 579b09a0e9905c5b24179ba104d48ce31974cbaa)
@@ -0,0 +1,12 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><parameter>--libexecdir=$GNOME_PREFIX/sbin</parameter>: This switch puts
+libexec files in <filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
+<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
+
+<para><option>--disable-gtk-doc</option>: This switch prevents
+rebuilding the documentation during the <command>make</command> command.</para>
+
+</sect2>
+
Index: gnome/lib/libgnomeui/libgnomeui-inst.xml
===================================================================
--- gnome/lib/libgnomeui/libgnomeui-inst.xml	(revision 579b09a0e9905c5b24179ba104d48ce31974cbaa)
+++ gnome/lib/libgnomeui/libgnomeui-inst.xml	(revision 579b09a0e9905c5b24179ba104d48ce31974cbaa)
@@ -0,0 +1,12 @@
+<sect2>
+<title>Installation of <application>libgnomeui</application></title>
+
+<para>Install <application>libgnomeui</application> by running the following commands:</para>
+
+<screen><userinput><command>./configure --prefix=$GNOME_PREFIX --libexecdir=$GNOME_PREFIX/sbin \
+--disable-gtk-doc &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+</sect2>
+
Index: gnome/lib/libgnomeui/libgnomeui-intro.xml
===================================================================
--- gnome/lib/libgnomeui/libgnomeui-intro.xml	(revision 579b09a0e9905c5b24179ba104d48ce31974cbaa)
+++ gnome/lib/libgnomeui/libgnomeui-intro.xml	(revision 579b09a0e9905c5b24179ba104d48ce31974cbaa)
@@ -0,0 +1,29 @@
+<sect2>
+<title>Introduction to <application>libgnomeui</application></title>
+
+<para>The <application>libgnomeui</application> package contains
+<filename class="libraryfile">libgnomeui</filename> libraries.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&libgnomeui-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&libgnomeui-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &libgnomeui-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&libgnomeui-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&libgnomeui-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>libgnomeui</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="libgnome"/>, <xref linkend="libgnomecanvas"/>,
+<xref linkend="libbonoboui"/></para></sect4>
+<sect4><title>Optional</title>
+<para><xref linkend="gtk-doc"/> and <xref linkend="sgml-dtd-3"/></para></sect4>
+</sect3>
+
+
+</sect2>
Index: gnome/lib/libgnomeui/libgnomeui.ent
===================================================================
--- gnome/lib/libgnomeui/libgnomeui.ent	(revision 579b09a0e9905c5b24179ba104d48ce31974cbaa)
+++ gnome/lib/libgnomeui/libgnomeui.ent	(revision 579b09a0e9905c5b24179ba104d48ce31974cbaa)
@@ -0,0 +1,11 @@
+<!ENTITY libgnomeui SYSTEM "../libgnomeui.xml">
+<!ENTITY libgnomeui-intro SYSTEM "libgnomeui-intro.xml">
+<!ENTITY libgnomeui-inst SYSTEM "libgnomeui-inst.xml">
+<!ENTITY libgnomeui-exp SYSTEM "libgnomeui-exp.xml">
+<!ENTITY libgnomeui-desc SYSTEM "libgnomeui-desc.xml">
+<!ENTITY libgnomeui-version "2.2.2">
+<!ENTITY libgnomeui-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnomeui/2.2/libgnomeui-&libgnomeui-version;.tar.bz2">
+<!ENTITY libgnomeui-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnomeui/2.2/libgnomeui-&libgnomeui-version;.tar.bz2">
+<!ENTITY libgnomeui-size "1.2 MB">
+<!ENTITY libgnomeui-buildsize "54.7 MB">
+<!ENTITY libgnomeui-time "1.10 SBU">