Index: gnome.ent
===================================================================
--- gnome.ent	(revision 70ef6dd2629268643cc230bfb137659622e2e51d)
+++ gnome.ent	(revision 00581bafa55b3bf6f20a2a5f7b653ce261b26eb6)
@@ -26,9 +26,9 @@
 <!ENTITY gjs-version                       "1.58.5">
 <!ENTITY gnome-autoar-version              "0.2.4">
-<!ENTITY gnome-desktop-version             "3.34.3">
+<!ENTITY gnome-desktop-version             "3.34.4">
 <!ENTITY gnome-menus-version               "3.35.3">
 <!ENTITY gnome-online-accounts-version     "3.34.1">
 <!ENTITY gnome-video-effects-version       "0.5.0">
-<!ENTITY grilo-version                     "0.3.11">
+<!ENTITY grilo-version                     "0.3.12">
 <!ENTITY libchamplain-version              "0.12.20">
 <!ENTITY libgdata-version                  "0.17.11">
Index: gnome/applications/cheese.xml
===================================================================
--- gnome/applications/cheese.xml	(revision 70ef6dd2629268643cc230bfb137659622e2e51d)
+++ gnome/applications/cheese.xml	(revision 00581bafa55b3bf6f20a2a5f7b653ce261b26eb6)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/geocode-glib.xml
===================================================================
--- gnome/platform/geocode-glib.xml	(revision 70ef6dd2629268643cc230bfb137659622e2e51d)
+++ gnome/platform/geocode-glib.xml	(revision 00581bafa55b3bf6f20a2a5f7b653ce261b26eb6)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-autoar.xml
===================================================================
--- gnome/platform/gnome-autoar.xml	(revision 70ef6dd2629268643cc230bfb137659622e2e51d)
+++ gnome/platform/gnome-autoar.xml	(revision 00581bafa55b3bf6f20a2a5f7b653ce261b26eb6)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-desktop.xml
===================================================================
--- gnome/platform/gnome-desktop.xml	(revision 70ef6dd2629268643cc230bfb137659622e2e51d)
+++ gnome/platform/gnome-desktop.xml	(revision 00581bafa55b3bf6f20a2a5f7b653ce261b26eb6)
@@ -9,7 +9,7 @@
   <!ENTITY gnome-desktop-download-ftp
            "&gnome-download-ftp;/gnome-desktop/&gnome-minor-34;/gnome-desktop-&gnome-desktop-version;.tar.xz">
-  <!ENTITY gnome-desktop-md5sum        "cdcd3006f55d8c8813315bef6f4f6b71">
+  <!ENTITY gnome-desktop-md5sum        "d682a05eb98bb2dd434042b6ac4f99d5">
   <!ENTITY gnome-desktop-size          "700 KB">
-  <!ENTITY gnome-desktop-buildsize     "14 MB (with tests)">
+  <!ENTITY gnome-desktop-buildsize     "19 MB (with tests)">
   <!ENTITY gnome-desktop-time          "0.1 SBU (Using parallelism=4; with tests)">
 ]>
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -144,5 +144,5 @@
     <para>
       <option>-Dgtk_doc=true</option>: Use this
-      parameter you wish to build the API documentation.
+      parameter if you wish to build the API documentation.
     </para>
 
Index: gnome/platform/gnome-menus.xml
===================================================================
--- gnome/platform/gnome-menus.xml	(revision 70ef6dd2629268643cc230bfb137659622e2e51d)
+++ gnome/platform/gnome-menus.xml	(revision 00581bafa55b3bf6f20a2a5f7b653ce261b26eb6)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-online-accounts.xml
===================================================================
--- gnome/platform/gnome-online-accounts.xml	(revision 70ef6dd2629268643cc230bfb137659622e2e51d)
+++ gnome/platform/gnome-online-accounts.xml	(revision 00581bafa55b3bf6f20a2a5f7b653ce261b26eb6)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-video-effects.xml
===================================================================
--- gnome/platform/gnome-video-effects.xml	(revision 70ef6dd2629268643cc230bfb137659622e2e51d)
+++ gnome/platform/gnome-video-effects.xml	(revision 00581bafa55b3bf6f20a2a5f7b653ce261b26eb6)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/grilo.xml
===================================================================
--- gnome/platform/grilo.xml	(revision 70ef6dd2629268643cc230bfb137659622e2e51d)
+++ gnome/platform/grilo.xml	(revision 00581bafa55b3bf6f20a2a5f7b653ce261b26eb6)
@@ -7,8 +7,8 @@
   <!ENTITY grilo-download-http "&gnome-download-http;/grilo/0.3/grilo-&grilo-version;.tar.xz">
   <!ENTITY grilo-download-ftp  "&gnome-download-ftp;/grilo/0.3/grilo-&grilo-version;.tar.xz">
-  <!ENTITY grilo-md5sum        "c18e02a95d086a6d84f45a5c1573ecc2">
+  <!ENTITY grilo-md5sum        "b464ce84db6f9354996a1d47b3c613da">
   <!ENTITY grilo-size          "232 KB">
-  <!ENTITY grilo-buildsize     "9.4 MB">
-  <!ENTITY grilo-time          "less than 0.1 SBU">
+  <!ENTITY grilo-buildsize     "17 MB (with tests)">
+  <!ENTITY grilo-time          "0.3 SBU (with tests)">
 ]>
 
@@ -34,5 +34,5 @@
     developers.</para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/vte.xml
===================================================================
--- gnome/platform/vte.xml	(revision 70ef6dd2629268643cc230bfb137659622e2e51d)
+++ gnome/platform/vte.xml	(revision 00581bafa55b3bf6f20a2a5f7b653ce261b26eb6)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/yelp-xsl.xml
===================================================================
--- gnome/platform/yelp-xsl.xml	(revision 70ef6dd2629268643cc230bfb137659622e2e51d)
+++ gnome/platform/yelp-xsl.xml	(revision 00581bafa55b3bf6f20a2a5f7b653ce261b26eb6)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 70ef6dd2629268643cc230bfb137659622e2e51d)
+++ introduction/welcome/changelog.xml	(revision 00581bafa55b3bf6f20a2a5f7b653ce261b26eb6)
@@ -45,4 +45,12 @@
       <para>February 25th, 2020</para>
       <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to grilo-0.3.12. Fixes
+          <ulink url="&blfs-ticket-root;13137">#13137</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gnome-desktop-3.34.4. Fixes
+          <ulink url="&blfs-ticket-root;13153">#13153</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[renodr] - Update to gjs-1.58.5. Fixes
Index: networking/netutils/networkmanager.xml
===================================================================
--- networking/netutils/networkmanager.xml	(revision 70ef6dd2629268643cc230bfb137659622e2e51d)
+++ networking/netutils/networkmanager.xml	(revision 00581bafa55b3bf6f20a2a5f7b653ce261b26eb6)
@@ -164,5 +164,5 @@
 
     <para>If <xref linkend="qt5"/> is installed and the Qt based 
-    examples are desired, fix the configure script:</para>
+    examples are desired, fix two meson.build files:</para>
 
 <screen><userinput>sed -e 's/-qt4/-qt5/'              \
@@ -236,6 +236,6 @@
 
     <para>
-      An already active <phrase revision="sysv">graphical</phrase> session
-      with bus address is necessary to run the tests. To test the results,
+      An already active graphical session
+      with a bus address is necessary to run the tests. To test the results,
       as the root user, <!-- needs the "ip" command -->
       issue: <command>ninja test</command>. 
@@ -553,5 +553,5 @@
         <listitem>
           <para>
-            is a utility to find out whether you are online.
+            is an utility to find out whether you are online.
           </para>
           <indexterm zone="NetworkManager nm-online">