Index: general/prog/perl-modules.xml
===================================================================
--- general/prog/perl-modules.xml	(revision 96e8ebd7ea6c1817ff9b8180a5ee5c1a273119d7)
+++ general/prog/perl-modules.xml	(revision 583abce8770eee58a10920029f586e6377001e09)
@@ -57,6 +57,6 @@
   <!ENTITY File-BaseDir-md5sum "5d10401970d209049c8491d2906c3e13">
 
-  <!ENTITY File-Slurp-download-http "&perl_authors;/id/U/UR/URI/File-Slurp-&File-Slurp-version;.tar.gz">
-  <!ENTITY File-Slurp-md5sum "7d584cd15c4f8b9547765eff8c4ef078">
+  <!ENTITY File-Slurper-download-http "&perl_authors;/id/L/LE/LEONT/File-Slurper-&File-Slurper-version;.tar.gz">
+  <!ENTITY File-Slurper-md5sum "e3d593d0c5b689076b07f2ca93f3c5c9">
 
   <!ENTITY File-Which-download-http "&perl_authors;/id/P/PL/PLICEASE/File-Which-&File-Which-version;.tar.gz">
@@ -95,4 +95,7 @@
   <!ENTITY Parse-Yapp-download-http "&perl_authors;/id/W/WB/WBRASWELL/Parse-Yapp-&Parse-Yapp-version;.tar.gz">
   <!ENTITY Parse-Yapp-md5sum "69584d5b0f0304bb2a23cffcd982c5de">
+
+  <!ENTITY PerlIO-utf8_strict-download-http "&perl_authors;/id/L/LE/LEONT/PerlIO-utf8_strict-&PerlIO-utf8_strict-version;.tar.gz">
+  <!ENTITY PerlIO-utf8_strict-md5sum "9e8fba7f15c612c4f2ed2f961bf1141b">
 
   <!ENTITY Regexp-Common-download-http "&perl_authors;/id/A/AB/ABIGAIL/Regexp-Common-&Regexp-Common-version;.tar.gz">
@@ -1051,15 +1054,15 @@
     </itemizedlist>
 
-    <!-- File::Slurp -->
-    <bridgehead renderas="sect3" id="perl-file-slurp"
-    xreflabel="File::Slurp-&File-Slurp-version;">
-    File::Slurp-&File-Slurp-version;</bridgehead>
-
-    <indexterm zone="perl-modules perl-file-slurp">
-      <primary sortas="a-File-Slurp">File::Slurp</primary>
-    </indexterm>
-
-    <para>The File::Slurp module provides Simple and Efficient
-    Reading/Writing/Modifying of Complete Files.  This module uses the standard
+    <!-- File::Slurper -->
+    <bridgehead renderas="sect3" id="perl-file-slurper"
+    xreflabel="File::Slurper-&File-Slurper-version;">
+    File::Slurper-&File-Slurper-version;</bridgehead>
+
+    <indexterm zone="perl-modules perl-file-slurper">
+      <primary sortas="a-File-Slurper">File::Slurper</primary>
+    </indexterm>
+
+    <para>File::Slurper is a simple, sane and efficient module to
+    slurp a file.  This module uses the standard
     <xref linkend="perl-standard-install"/>.</para>
 
@@ -1069,10 +1072,10 @@
       <listitem>
         <para>
-          <ulink url="&File-Slurp-download-http;">File::Slurp-&File-Slurp-version;</ulink>
-        </para>
-      </listitem>
-      <listitem>
-<literallayout>&File-Slurp-download-http;
-MD5 sum: &File-Slurp-md5sum;</literallayout>
+          <ulink url="&File-Slurper-download-http;">File::Slurper-&File-Slurper-version;</ulink>
+        </para>
+      </listitem>
+      <listitem>
+<literallayout>&File-Slurper-download-http;
+MD5 sum: &File-Slurper-md5sum;</literallayout>
       </listitem>
     </itemizedlist>
@@ -1686,4 +1689,43 @@
       </listitem>
     </itemizedlist>
+
+    <!-- PerlIO-utf8_strict -->
+    <bridgehead renderas="sect3" id="perl-perlio-utf8_strict"
+    xreflabel="PerlIO-utf8_strict-&PerlIO-utf8_strict-version;">
+    PerlIO-utf8_strict-&PerlIO-utf8_strict-version;</bridgehead>
+
+    <indexterm zone="perl-modules perl-perlio-utf8_strict">
+      <primary sortas="a-PerlIO-utf8_strict">PerlIO-utf8_strict</primary>
+    </indexterm>
+
+    <para>PerlIO-utf8_strict provides a fast and correct UTF-8 IO layer,
+    including checking the input for correctness. This module and its dependency
+    modules use the standard <xref linkend="perl-standard-install"/>.</para>
+
+    &lfs81_checked;
+
+    <itemizedlist>
+      <listitem>
+        <para>
+          <ulink url="&PerlIO-utf8_strict-download-http;">PerlIO-utf8_strict-&PerlIO-utf8_strict-version;</ulink>
+        </para>
+      </listitem>
+      <listitem>
+<literallayout>&PerlIO-utf8_strict-download-http;
+MD5 sum: &PerlIO-utf8_strict-md5sum;</literallayout>
+        <itemizedlist>
+          <listitem><literallayout><ulink url="http://search.cpan.org/dist/Test-Exception/">Test::Exception (for the testsuite)</ulink>
+(http://search.cpan.org/dist/Test-Exception/)</literallayout>
+            <itemizedlist>
+              <listitem><literallayout><ulink url="http://search.cpan.org/dist/Sub-Uplevel/">Sub::Uplevel</ulink>
+(http://search.cpan.org/dist/Sub-Uplevel/)</literallayout>
+              </listitem>
+            </itemizedlist>
+          </listitem>
+        </itemizedlist>
+      </listitem>
+    </itemizedlist>
+
+
 
     <!-- Regexp::Common -->
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 96e8ebd7ea6c1817ff9b8180a5ee5c1a273119d7)
+++ introduction/welcome/changelog.xml	(revision 583abce8770eee58a10920029f586e6377001e09)
@@ -47,4 +47,10 @@
       <itemizedlist>
         <listitem>
+          <para>[ken] - Update to biber-2.8 wih biblatex-3.8a. Change its
+          perl module dependencies: replace File::Slurp with File::Slurper
+          and add PerlIO-utf8_strict. Fixes 
+          <ulink url="&blfs-ticket-root;9998">#9998</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[ken] - Update to Unicode-Collate-1.21 (perl module). Fixes
           <ulink url="&blfs-ticket-root;9983">#9983</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 96e8ebd7ea6c1817ff9b8180a5ee5c1a273119d7)
+++ packages.ent	(revision 583abce8770eee58a10920029f586e6377001e09)
@@ -367,5 +367,5 @@
 <!ENTITY Error-version                "0.17025">
 <!ENTITY File-BaseDir-version         "0.07">
-<!ENTITY File-Slurp-version           "9999.19">
+<!ENTITY File-Slurper-version         "0.010">
 <!ENTITY File-Which-version           "1.22">
 <!ENTITY HTML-Parser-version          "3.72">
@@ -380,4 +380,5 @@
 <!ENTITY Net-DNS-version              "1.13">
 <!ENTITY Parse-Yapp-version           "1.21">
+<!ENTITY PerlIO-utf8_strict-version   "0.007">
 <!ENTITY Regexp-Common-version        "2017060201">
 <!ENTITY Sort-Key-version             "1.33">
@@ -894,6 +895,6 @@
 <!ENTITY texlive-year                 "2017">
 <!ENTITY asymptote-version            "2.41">
-<!ENTITY biber-version                "2.7">
-<!ENTITY biblatex-version             "3.7">
+<!ENTITY biber-version                "2.8">
+<!ENTITY biblatex-version             "3.8a">
 <!ENTITY xindy-version                "2.5.1">
 
Index: pst/typesetting/biber.xml
===================================================================
--- pst/typesetting/biber.xml	(revision 96e8ebd7ea6c1817ff9b8180a5ee5c1a273119d7)
+++ pst/typesetting/biber.xml	(revision 583abce8770eee58a10920029f586e6377001e09)
@@ -7,13 +7,13 @@
   <!ENTITY biber-download-http "https://github.com/plk/biber/archive/v&biber-version;.tar.gz">
   <!ENTITY biber-download-ftp  " ">
-  <!ENTITY biber-md5sum        "4956fbf23546b6325647b6c81b2b4bea">
+  <!ENTITY biber-md5sum        "67a63d6ead13717fbcb465b8817e8c62">
   <!ENTITY biber-size          "1.3 MB">
   <!-- buildsize includes the installed biblatex -->
   <!ENTITY biber-buildsize     "36 MB">
-  <!ENTITY biber-time          "0.3 SBU including tests">
+  <!ENTITY biber-time          "0.4 SBU including tests">
 
   <!ENTITY biblatex-download-http   "http://sourceforge.net/projects/biblatex/files/biblatex-&biblatex-version;/biblatex-&biblatex-version;.tds.tgz">
   <!ENTITY biblatex-download-ftp    "">
-  <!ENTITY biblatex-md5sum          "0aa6937010eaaf2154e3ebd00a2fae77">
+  <!ENTITY biblatex-md5sum          "a2819e2e4b1d249c26059a38410f3f60">
   <!ENTITY biblatex-size            "19 MB">
 
@@ -118,5 +118,5 @@
       <xref linkend="perl-encode-hanextra"/>
       <xref linkend="perl-encode-jis2k"/>
-      <xref linkend="perl-file-slurp"/>
+      <xref linkend="perl-file-slurper"/>
       <!-- IPC::Cmd is a part of core perl -->
       <xref linkend="perl-ipc-run3"/>
@@ -138,4 +138,5 @@
       <xref linkend="perl-module-build"/>
       <!-- Mozilla::CA is a dependency of LWP-Protocol-https -->
+      <xref linkend="perl-perlio-utf8_strict"/>
       <xref linkend="perl-regexp-common"/>
       <xref linkend="perl-sort-key"/>
@@ -156,12 +157,9 @@
     </para>
 
-    <note> <!-- FIXME remove this after our 8.0 release, so that it is noted
-      in at least one release of the book -->
+    <note> <!-- assume people with an old release may be slowly building things -->
       <para>This version of <application>biber</application> requires at least
-      <application>perl-5.24.0</application>. If you are using an older version
-      of <command>perl</command> you may prefer to install v2.5 - for that see
-      the BLFS-7.10 book (that source is now in
-      <filename class="directory">files/biblatex-biber/2.5/</filename> instead of
-      <filename class="directory">files/biblatex-biber/current/</filename>).</para>
+      <application>perl-5.26.0</application>. If you are using an older version
+      of <command>perl</command> you may prefer to install v2.7 - for that see
+      the BLFS-8.1 book.</para>
     </note>
 