Index: general/prog/mercurial.xml
===================================================================
--- general/prog/mercurial.xml	(revision c4bcf46944aa1d626c218f5271140b4735aec58f)
+++ general/prog/mercurial.xml	(revision 586bd9ff64f1ae548013f7baf93d091b6d98a1f6)
@@ -7,8 +7,8 @@
   <!ENTITY mercurial-download-http "https://www.mercurial-scm.org/release/mercurial-&mercurial-version;.tar.gz">
   <!ENTITY mercurial-download-ftp  " ">
-  <!ENTITY mercurial-md5sum        "9ba9d59157c002db8d8cab680de08eb5">
+  <!ENTITY mercurial-md5sum        "2373f606f7d1049a9563359ad0afc5cf">
   <!ENTITY mercurial-size          "7.0 MB">
-  <!ENTITY mercurial-buildsize     "75 MB (with docs, add 979 MB for tests)">
-  <!ENTITY mercurial-time          "0.5 SBU (with docs, add 12 SBU for tests using -j4)">
+  <!ENTITY mercurial-buildsize     "75 MB (with docs, add 855 MB for tests)">
+  <!ENTITY mercurial-time          "0.5 SBU (with docs, add 11 SBU for tests using -j4)">
 ]>
 
@@ -101,7 +101,6 @@
     issue:</para>
 
-<screen remap="doc"><userinput>sed -i '/runrst/s/N)/N)3/' doc/Makefile &amp;&amp;
-2to3-3.7 -w doc/hgmanpage.py            &amp;&amp;
-make doc</userinput></screen>
+<screen remap="doc"><userinput>2to3 -w doc/hgmanpage.py &amp;&amp;
+PYTHON=python3 make doc</userinput></screen>
 
 <!-- All tests pass (or are skipped) at version 3.8.2
@@ -111,4 +110,7 @@
     class="directory">tests/tmp</filename> and skipping the failing tests,
     issue:</para>
+
+    Version 5.2.1 had one failure test-bundle2-exchange.t
+
 
 <screen remap="test"><userinput>cat &gt; tests/blacklists/failed-tests &lt;&lt; "EOF"
@@ -184,11 +186,5 @@
 
       <para>
-        <command>sed -i '/runrst/s/N)/N)3/' doc/Makefile</command>: forces the 
-        use of <application>Python 3</application> for commands using docutils,
-        allowing to use the docutils <application>Python 3</application> module.
-      </para>
-
-      <para>
-        <command>2to3-3.7 -w doc/hgmanpage.py</command>: Since <application>
+        <command>2to3 -w doc/hgmanpage.py</command>: Since <application>
         Python 3</application> is used with docutils, one file needs to be
         converted in order to be compatible.
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision c4bcf46944aa1d626c218f5271140b4735aec58f)
+++ introduction/welcome/changelog.xml	(revision 586bd9ff64f1ae548013f7baf93d091b6d98a1f6)
@@ -45,4 +45,12 @@
        <para>December 6th, 2019</para>
        <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to iw-5.4. Fixes
+          <ulink url="&blfs-ticket-root;12877">#12877</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to mercurial-5.2.1. Fixes
+          <ulink url="&blfs-ticket-root;12876">#12876</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[bdubbs] - Update to gstreamer stack 1.16.2. Fixes
Index: networking/netprogs/iw.xml
===================================================================
--- networking/netprogs/iw.xml	(revision c4bcf46944aa1d626c218f5271140b4735aec58f)
+++ networking/netprogs/iw.xml	(revision 586bd9ff64f1ae548013f7baf93d091b6d98a1f6)
@@ -7,5 +7,5 @@
   <!ENTITY iw-download-http "https://www.kernel.org/pub/software/network/iw/iw-&iw-version;.tar.xz">
   <!ENTITY iw-download-ftp  " ">
-  <!ENTITY iw-md5sum        "b65bb6dc3b9474c55f6107a25469d8cf">
+  <!ENTITY iw-md5sum        "0d8bd345449c14249e39ce4b1f09cd64">
   <!ENTITY iw-size          "136 KB">
   <!ENTITY iw-buildsize     "3.5 MB">
Index: packages.ent
===================================================================
--- packages.ent	(revision c4bcf46944aa1d626c218f5271140b4735aec58f)
+++ packages.ent	(revision 586bd9ff64f1ae548013f7baf93d091b6d98a1f6)
@@ -328,5 +328,5 @@
 <!ENTITY lua-version                  "5.3.5">
 <!ENTITY lua52-version                "5.2.4">
-<!ENTITY mercurial-version            "5.2">
+<!ENTITY mercurial-version            "5.2.1">
 <!ENTITY nasm-version                 "2.14.02">
 <!ENTITY ninja-version                "1.9.0">
@@ -551,5 +551,5 @@
 <!ENTITY bridgeutils-version          "1.6">
 <!ENTITY cifsutils-version            "6.9">
-<!ENTITY iw-version                   "5.3">
+<!ENTITY iw-version                   "5.4">
 <!ENTITY ncftp-version                "3.2.6">
 <!ENTITY net-tools-version            "CVS_20101030">