Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 0563300d611f4210a2a66ec5388104672846234d)
+++ introduction/welcome/changelog.xml	(revision 587ebea095ec68739f2e95bd8dd1477edff73624)
@@ -10,4 +10,7 @@
 
 <itemizedlist>
+
+<listitem><para>February 6th, 2003 [larry]: X: Added
+metacity-2.4.34.</para></listitem>
 
 <listitem><para>February 6th, 2003 [larry]: X: Added
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision 0563300d611f4210a2a66ec5388104672846234d)
+++ introduction/welcome/credits.xml	(revision 587ebea095ec68739f2e95bd8dd1477edff73624)
@@ -90,6 +90,6 @@
 libglade2, libgnome, libgnomecanvas, libgnomeprint, libgnomeprintui,
 libgnomeui, libgtkhtml, libgtop, libIDL, libogg, librep, librsvg,
-libvorbis, libwnck, libxml2, libxslt, libzvt, linc, LPRng, Lunux_PAM, MPlayer,
-mutt, nautilus, oaf, OpenJade, OpenSP, 
+libvorbis, libwnck, libxml2, libxslt, libzvt, linc, LPRng, Lunux_PAM,
+metacity, MPlayer, mutt, nautilus, oaf, OpenJade, OpenSP, 
 OpenSSH, ORBit, ORBit2, pan, Pango, pccts, pcre, pkgconfig, postfix,
 procmail, Python, QT, rep-gtk, ruby, sawfish, scrollkeeper, sgml-common,
Index: x/wm/metacity.xml
===================================================================
--- x/wm/metacity.xml	(revision 587ebea095ec68739f2e95bd8dd1477edff73624)
+++ x/wm/metacity.xml	(revision 587ebea095ec68739f2e95bd8dd1477edff73624)
@@ -0,0 +1,11 @@
+<sect1 id="metacity" xreflabel="metacity-&metacity-version;">
+<?dbhtml filename="metacity.html" dir="x"?>
+<title>metacity-&metacity-version;</title>
+
+&metacity-intro;
+&metacity-inst;
+&metacity-config;
+&metacity-desc;
+
+</sect1>
+
Index: x/wm/metacity/metacity-config.xml
===================================================================
--- x/wm/metacity/metacity-config.xml	(revision 587ebea095ec68739f2e95bd8dd1477edff73624)
+++ x/wm/metacity/metacity-config.xml	(revision 587ebea095ec68739f2e95bd8dd1477edff73624)
@@ -0,0 +1,16 @@
+<sect2>
+<title>Configuring metacity</title>
+
+<sect3><title>Configuration Information</title>
+
+<para>Be sure to backup your current <filename>.xinitrc</filename>
+before proceeding.</para>
+
+<para><screen><userinput>cat &gt;&gt; ~/.xinitrc &lt;&lt; "EOF"</userinput>
+xterm &
+exec metacity
+<userinput>EOF</userinput></screen></para>
+</sect3>
+
+</sect2>
+
Index: x/wm/metacity/metacity-desc.xml
===================================================================
--- x/wm/metacity/metacity-desc.xml	(revision 587ebea095ec68739f2e95bd8dd1477edff73624)
+++ x/wm/metacity/metacity-desc.xml	(revision 587ebea095ec68739f2e95bd8dd1477edff73624)
@@ -0,0 +1,14 @@
+<sect2>
+<title>Contents</title>
+
+<para>The metacity package contains <userinput>metacity</userinput>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>metacity</title>
+<para>metacity is a window manager used mainly by Gnome.</para></sect3>
+
+</sect2>
+
Index: x/wm/metacity/metacity-inst.xml
===================================================================
--- x/wm/metacity/metacity-inst.xml	(revision 587ebea095ec68739f2e95bd8dd1477edff73624)
+++ x/wm/metacity/metacity-inst.xml	(revision 587ebea095ec68739f2e95bd8dd1477edff73624)
@@ -0,0 +1,13 @@
+<sect2>
+<title>Installation of metacity</title>
+
+<para>Install metacity by running the following commands:</para>
+
+<para><screen><userinput>./configure --prefix=/usr --libexec=/usr/sbin --sysconfdir=/etc &amp;&amp;
+make &amp;&amp;
+make install</userinput></screen></para>
+
+
+</sect2>
+
+
Index: x/wm/metacity/metacity-intro.xml
===================================================================
--- x/wm/metacity/metacity-intro.xml	(revision 587ebea095ec68739f2e95bd8dd1477edff73624)
+++ x/wm/metacity/metacity-intro.xml	(revision 587ebea095ec68739f2e95bd8dd1477edff73624)
@@ -0,0 +1,18 @@
+<sect2>
+<title>Introduction to metacity</title>
+
+<screen>Download location (HTTP):       <ulink url="&metacity-download-http;"/>
+Download location (FTP):        <ulink url="&metacity-download-ftp;"/>
+Version used:                   &metacity-version;
+Package size:                   &metacity-size;
+Estimated Disk space required:  &metacity-buildsize;</screen>
+
+<para>The metacity package contains a window manager. This is useful for
+organizing and displaying windows.</para>
+
+<screen>metacity depends on:
+<xref linkend="xfree86"/>, <xref linkend="intltool"/> and <xref linkend="GTK2"/>
+metacity will utilize:
+<xref linkend="startup-notification"/> and <xref linkend="GConf"/></screen>
+
+</sect2>
Index: x/wm/metacity/metacity.ent
===================================================================
--- x/wm/metacity/metacity.ent	(revision 587ebea095ec68739f2e95bd8dd1477edff73624)
+++ x/wm/metacity/metacity.ent	(revision 587ebea095ec68739f2e95bd8dd1477edff73624)
@@ -0,0 +1,11 @@
+<!ENTITY metacity SYSTEM "../metacity.xml">
+<!ENTITY metacity-intro SYSTEM "metacity-intro.xml">
+<!ENTITY metacity-inst SYSTEM "metacity-inst.xml">
+<!ENTITY metacity-exp SYSTEM "metacity-exp.xml">
+<!ENTITY metacity-desc SYSTEM "metacity-desc.xml">
+<!ENTITY metacity-config SYSTEM "metacity-config.xml">
+<!ENTITY metacity-buildsize "15.8 MB">
+<!ENTITY metacity-version "2.4.34">
+<!ENTITY metacity-download-http "http://ftp.gnome.org/pub/GNOME/sources/metacity/2.4/metacity-2.4.34.tar.bz2">
+<!ENTITY metacity-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/metacity/2.4/metacity-2.4.34.tar.bz2">
+<!ENTITY metacity-size "1.2 MB">
Index: x/wm/wm.xml
===================================================================
--- x/wm/wm.xml	(revision 0563300d611f4210a2a66ec5388104672846234d)
+++ x/wm/wm.xml	(revision 587ebea095ec68739f2e95bd8dd1477edff73624)
@@ -30,4 +30,5 @@
 &fluxbox;
 &xfce;
+&metacity;
 
 </chapter>
Index: x/x.ent
===================================================================
--- x/x.ent	(revision 0563300d611f4210a2a66ec5388104672846234d)
+++ x/x.ent	(revision 587ebea095ec68739f2e95bd8dd1477edff73624)
@@ -33,6 +33,8 @@
 <!ENTITY % fluxbox SYSTEM "wm/fluxbox/fluxbox.ent">
 <!ENTITY % xfce SYSTEM "wm/xfce/xfce.ent">
+<!ENTITY % metacity SYSTEM "wm/metacity/metacity.ent">
 %sawfish;
 %enlightenment;
 %fluxbox;
 %xfce;
+%metacity;