Index: appendices/glossary.xml
===================================================================
--- appendices/glossary.xml	(revision 39cb5c38e8e8a1b7edd29c3d24c448bb85abd95d)
+++ appendices/glossary.xml	(revision 0590c1b633a0a8bb96299565d5923de9024ed2a9)
@@ -41,4 +41,7 @@
 <glossdef><para>Apache Portable Runtime</para></glossdef></glossentry>
 
+<glossentry id="gARP"><glossterm><acronym>ARP</acronym></glossterm>
+<glossdef><para>Address Resolution Protocol</para></glossdef></glossentry>
+
 <glossentry id="gASCII"><glossterm><acronym>ASCII</acronym></glossterm>
 <glossdef><para>American Standard Code for Information Interchange</para></glossdef></glossentry>
@@ -342,4 +345,7 @@
 <glossdef><para>Lemple-Ziv-Oberhumer</para></glossdef></glossentry>
 
+<glossentry id="gMAC"><glossterm><acronym>MAC</acronym></glossterm>
+<glossdef><para>Media Access Control</para></glossdef></glossentry>
+
 <glossentry id="gMCU"><glossterm><acronym>MCU</acronym></glossterm>
 <glossdef><para>Multipoint Control Unit</para></glossdef></glossentry>
@@ -392,4 +398,7 @@
 <glossentry id="gNFS"><glossterm><acronym>NFS</acronym></glossterm>
 <glossdef><para>Network File System</para></glossdef></glossentry>
+
+<glossentry id="gNIS"><glossterm><acronym>NIS</acronym></glossterm>
+<glossdef><para>Network Information Service</para></glossdef></glossentry>
 
 <glossentry id="gNTP"><glossterm><acronym>NTP</acronym></glossterm>
@@ -433,15 +442,18 @@
 <glossdef><para>Portable Document Format</para></glossdef></glossentry>
 
+<glossentry id="gPGM"><glossterm><acronym>PGM</acronym></glossterm>
+<glossdef><para>Portable Grey Map</para></glossdef></glossentry>
+
+<glossentry id="gPGP"><glossterm><acronym>PGP</acronym></glossterm>
+<glossdef><para>Pretty Good Privacy</para></glossdef></glossentry>
+
+<glossentry id="gPHP"><glossterm><acronym>PHP</acronym></glossterm>
+<glossdef><para>PHP Hypertext Preprocessor</para></glossdef></glossentry>
+
 <glossentry id="gPIM"><glossterm><acronym>PIM</acronym></glossterm>
 <glossdef><para>Personal Information Manager</para></glossdef></glossentry>
 
-<glossentry id="gPGM"><glossterm><acronym>PGM</acronym></glossterm>
-<glossdef><para>Portable Grey Map</para></glossdef></glossentry>
-
-<glossentry id="gPHP"><glossterm><acronym>PHP</acronym></glossterm>
-<glossdef><para>PHP Hypertext Preprocessor</para></glossdef></glossentry>
-
-<glossentry id="gPGP"><glossterm><acronym>PGP</acronym></glossterm>
-<glossdef><para>Pretty Good Privacy</para></glossdef></glossentry>
+<glossentry id="gPLIP"><glossterm><acronym>PLIP</acronym></glossterm>
+<glossdef><para>Parallel Line Internet Protocol</para></glossdef></glossentry>
 
 <glossentry id="gPNG"><glossterm><acronym>PNG</acronym></glossterm>
@@ -472,4 +484,7 @@
 <glossdef><para>Random Access Memory</para></glossdef></glossentry>
 
+<glossentry id="gRARP"><glossterm><acronym>RARP</acronym></glossterm>
+<glossdef><para>Reverse Address Resolution Protocol</para></glossdef></glossentry>
+
 <glossentry id="gRCS"><glossterm><acronym>RCS</acronym></glossterm>
 <glossdef><para>Revision Control System</para></glossdef></glossentry>
@@ -658,4 +673,7 @@
 <glossdef><para>X MultiMedia System</para></glossdef></glossentry>
 
+<glossentry id="gYP"><glossterm><acronym>YP</acronym></glossterm>
+<glossdef><para>Yellow Pages</para></glossdef></glossentry>
+
 <glossentry id="gYUV"><glossterm><acronym>YUV</acronym></glossterm>
 <glossdef><para>Luminance-Bandwidth-Chrominance</para></glossdef></glossentry>
Index: basicnet/netprogs/net-tools.xml
===================================================================
--- basicnet/netprogs/net-tools.xml	(revision 0590c1b633a0a8bb96299565d5923de9024ed2a9)
+++ basicnet/netprogs/net-tools.xml	(revision 0590c1b633a0a8bb96299565d5923de9024ed2a9)
@@ -0,0 +1,182 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY net-tools-download-http "http://www.tazenda.demon.co.uk/phil/net-tools/net-tools-&net-tools-version;.tar.bz2">
+  <!ENTITY net-tools-download-ftp  " ">
+  <!ENTITY net-tools-size          "194 KB">
+  <!ENTITY net-tools-buildsize     "9.4 MB">
+  <!ENTITY net-tools-time          "0.10 SBU">
+]>
+
+<sect1 id="net-tools" xreflabel="Net-tools-&net-tools-version;">
+<?dbhtml filename="net-tools.html"?>
+<title>Net-tools-&net-tools-version;</title>
+
+
+<sect2>
+<title>Introduction to <application>Net-tools</application></title>
+
+<para>The <application>Net-tools</application> package is a collection
+of programs for controlling the network subsystem of the Linux
+kernel.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink url="&net-tools-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink url="&net-tools-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &net-tools-size;</para></listitem>
+<listitem><para>Estimated Disk space required: &net-tools-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &net-tools-time;</para></listitem></itemizedlist>
+</sect3>
+
+<!--
+<sect3><title>Additional downloads</title>
+<itemizedlist spacing="compact">
+<listitem><para>Required Patch: <ulink
+url="&patch-root;/net-tools-&net-tools-version;-gcc34-3.patch"/></para></listitem>
+</itemizedlist></sect3>
+-->
+
+</sect2>
+
+<sect2>
+<title>Installation of <application>Net-tools</application></title>
+
+<para>If you don't know what to answer to all the questions asked during
+the <command>make config</command> phase below, then just accept the
+defaults. This will be just fine in the majority of cases. What you're
+asked here is a bunch of questions about which network protocols you've
+enabled in your kernel. The default answers will enable the tools from
+this package to work with the most common protocols:
+<acronym>TCP</acronym>, <acronym>PPP</acronym>, and several others. You
+still need to actually enable these protocols in the kernel&mdash;what you
+do here is merely telling the package to include support for those
+protocols in its programs, but it's up to the kernel to make the
+protocols available.</para>
+
+<!--
+<para>This package has issues with being compiled by
+<application><acronym>GCC</acronym></application> 3.4, which we fix by
+applying the following patch:</para>
+
+<screen><userinput><command>patch -Np1 -i ../net-tools-&net-tools-version;-gcc34-3.patch</command></userinput></screen>
+
+<para>Fix an issue that arises when building against Linux 2.6:</para>
+
+<screen><userinput><command>sed -i 's@x25_address@struct &amp;@' lib/x25_sr.c</command></userinput></screen>
+-->
+
+<para>Now prepare <application>Net-tools</application> for compilation
+(if you intend to accept the defaults, you can skip all the questions by
+running <command>yes "" | make config</command> instead):</para>
+
+<screen><userinput><command>make config</command></userinput></screen>
+
+<para>Compile the package:</para>
+
+<screen><userinput><command>make</command></userinput></screen>
+
+<para>Now install it:</para>
+
+<screen><userinput><command>make update</command></userinput></screen>
+
+</sect2>
+
+<sect2>
+<title>Contents</title>
+
+<para>The <application>Net-tools</application> package contains
+<command>arp</command>,
+<command>dnsdomainname</command> (link to <command>hostname</command>),
+<command>domainname</command> (link to <command>hostname</command>),
+<command>hostname</command>,
+<command>ifconfig</command>,
+<command>nameif</command>,
+<command>netstat</command>,
+<command>nisdomainname</command> (link to <command>hostname</command>),
+<command>plipconfig</command>,
+<command>rarp</command>,
+<command>route</command>,
+<command>slattach</command> and
+<command>ypdomainname</command> (link to <command>hostname</command>).</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>arp</title>
+<para><command>arp</command>
+is used to manipulate the kernel's <acronym>ARP</acronym> cache, usually
+to add or delete an entry, or to dump the entire cache.
+</para></sect3>
+
+<sect3><title>dnsdomainname</title>
+<para><command>dnsdomainname</command>
+reports the system's <acronym>DNS</acronym> domain name.
+</para></sect3>
+
+<sect3><title>domainname</title>
+<para><command>domainname</command>
+reports or sets the system's
+<acronym>NIS</acronym>/<acronym>YP</acronym> domain name.
+</para></sect3>
+
+<sect3><title>hostname</title>
+<para><command>hostname</command>
+reports or sets the name of the current host system.
+</para></sect3>
+
+<sect3><title>ifconfig</title>
+<para><command>ifconfig</command>
+is the main utility for configuring network interfaces.
+</para></sect3>
+
+<sect3><title>nameif</title>
+<para><command>nameif</command>
+names network interfaces based on <acronym>MAC</acronym> addresses.
+</para></sect3>
+
+<sect3><title>netstat</title>
+<para><command>netstat</command>
+is used to report network connections, routing tables, and interface
+statistics.
+</para></sect3>
+
+<sect3><title>nisdomainname</title>
+<para><command>nisdomainname</command>
+does the same as <command>domainname</command>.
+</para></sect3>
+
+<sect3><title>plipconfig</title>
+<para><command>plipconfig</command>
+is used to fine tune the <acronym>PLIP</acronym> device parameters, to
+improve its performance.
+</para></sect3>
+
+<sect3><title>rarp</title>
+<para><command>rarp</command>
+is used to manipulate the kernel's <acronym>RARP</acronym> table.
+</para></sect3>
+
+<sect3><title>route</title>
+<para><command>route</command>
+is used to manipulate the <acronym>IP</acronym> routing table.
+</para></sect3>
+
+<sect3><title>slattach</title>
+<para><command>slattach</command>
+attaches a network interface to a serial line. This allows you to use
+normal terminal lines for point-to-point links to other computers.
+</para></sect3>
+
+<sect3><title>ypdomainname</title>
+<para><command>ypdomainname</command>
+does the same as <command>domainname</command>.
+</para></sect3>
+
+</sect2>
+
+</sect1>
Index: basicnet/netprogs/netprogs.xml
===================================================================
--- basicnet/netprogs/netprogs.xml	(revision 39cb5c38e8e8a1b7edd29c3d24c448bb85abd95d)
+++ basicnet/netprogs/netprogs.xml	(revision 0590c1b633a0a8bb96299565d5923de9024ed2a9)
@@ -27,4 +27,5 @@
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ncpfs.xml"/>  
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ntp.xml"/>  
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="net-tools.xml"/>  
 
 </chapter>
Index: general.ent
===================================================================
--- general.ent	(revision 39cb5c38e8e8a1b7edd29c3d24c448bb85abd95d)
+++ general.ent	(revision 0590c1b633a0a8bb96299565d5923de9024ed2a9)
@@ -43,4 +43,5 @@
 <!ENTITY nano-version                 "1.2.3">  
 <!ENTITY joe-version                  "3.1"> 
+<!ENTITY ed-version                   "0.2">
                                   
 <!-- Chapter 7 -->                
@@ -170,4 +171,5 @@
 <!ENTITY ncpfs-version                "2.2.4"> 
 <!ENTITY ntp-version                  "4.2.0">  
+<!ENTITY net-tools-version            "1.60">
                                   
 <!-- Chapter 19 -->               
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 39cb5c38e8e8a1b7edd29c3d24c448bb85abd95d)
+++ introduction/welcome/changelog.xml	(revision 0590c1b633a0a8bb96299565d5923de9024ed2a9)
@@ -19,4 +19,7 @@
 <itemizedlist>
 
+<listitem><para>July 8th, 2004 [igor]: Migrated Ed and Net-tools
+from LFS to BLFS.</para></listitem>
+
 <listitem><para>July 8th, 2004 [igor]: Added a note about optional
 Subversion switches to prevent overwriting of APR from
Index: postlfs/editors/ed.xml
===================================================================
--- postlfs/editors/ed.xml	(revision 0590c1b633a0a8bb96299565d5923de9024ed2a9)
+++ postlfs/editors/ed.xml	(revision 0590c1b633a0a8bb96299565d5923de9024ed2a9)
@@ -0,0 +1,110 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY ed-download-http "http://ftp.gnu.org/pub/gnu/ed/ed-&ed-version;.tar.gz">
+  <!ENTITY ed-download-ftp  "ftp://ftp.gnu.org/pub/gnu/ed/ed-&ed-version;.tar.gz">
+  <!ENTITY ed-size          "182 KB">
+  <!ENTITY ed-buildsize     "3.1 MB">
+  <!ENTITY ed-time          "0.10 SBU">
+]>
+
+<sect1 id="ed" xreflabel="Ed-&ed-version;">
+<?dbhtml filename="ed.html"?>
+<title>Ed-&ed-version;</title>
+
+<sect2>
+<title>Introduction to <application>Ed</application></title>
+
+<para><application>Ed</application> is a line-oriented text editor. It
+is used to create, display, modify and otherwise manipulate text files,
+both interactively and via shell scripts. Ed isn't something which many
+people use. It's described here because it can be used by the patch
+program if you encounter an ed-based patch file. This happens rarely
+because diff-based patches are preferred these days.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing="compact">
+<listitem><para>Download (HTTP): <ulink url="&ed-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink url="&ed-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &ed-size;</para></listitem>
+<listitem><para>Estimated Disk space required: &ed-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &ed-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title>Additional downloads</title>
+<itemizedlist spacing="compact">
+<listitem><para>Required Patch: <ulink
+url="&patch-root;/ed-&ed-version;-mkstemp.patch"/></para></listitem>
+</itemizedlist></sect3>
+
+</sect2>
+
+<sect2>
+<title>Installation of <application>Ed</application></title>
+
+<para><application>Ed</application> normally uses the
+<emphasis>mktemp</emphasis> function to create temporary files in
+<filename class="directory">/tmp</filename>, but this function contains
+a vulnerability (see the section on Temporary Files at
+<ulink url="http://en.tldp.org/HOWTO/Secure-Programs-HOWTO/avoid-race.html"/>).
+Apply the following patch to make <application>Ed</application> use
+<emphasis>mkstemp</emphasis> instead, a secure way to create temporary
+files:</para>
+
+<screen><userinput><command>patch -Np1 -i ../ed-&ed-version;-mkstemp.patch</command></userinput></screen>
+
+<para>Now prepare <application>Ed</application> for compilation:</para>
+
+<screen><userinput><command>./configure --prefix=/usr --exec-prefix=""</command></userinput></screen>
+
+<para>Compile the package:</para>
+
+<screen><userinput><command>make</command></userinput></screen>
+
+<para>To test the results, issue: <command>make check</command>.</para> 
+
+<para>Install the package:</para>
+
+<screen><userinput><command>make install</command></userinput></screen>
+
+</sect2>
+
+<sect2>
+<title>Command explanations</title>
+
+<para><parameter>--exec-prefix=""</parameter>: This forces the programs
+to be installed into the <filename class="directory">/bin</filename>
+directory. Having the programs available there is useful in the event of
+the <filename class="directory">/usr</filename> partition being
+unavailable.</para>
+
+</sect2>
+
+<sect2>
+<title>Contents</title>
+
+<para>The <application>Ed</application> package contains
+<command>ed</command> and
+<command>red</command> (link to <command>ed</command>).</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>ed</title>
+<para><command>ed</command>
+is a line-oriented text editor.
+</para></sect3>
+
+<sect3><title>red</title>
+<para><command>red</command>
+is a restricted ed&mdash;it can only edit files in the current directory
+and cannot execute shell commands.
+</para></sect3>
+
+</sect2>
+
+</sect1>
Index: postlfs/editors/editors.xml
===================================================================
--- postlfs/editors/editors.xml	(revision 39cb5c38e8e8a1b7edd29c3d24c448bb85abd95d)
+++ postlfs/editors/editors.xml	(revision 0590c1b633a0a8bb96299565d5923de9024ed2a9)
@@ -21,4 +21,5 @@
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="joe.xml"/> 
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="pico.xml"/> 
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ed.xml"/> 
 
 </chapter>
Index: template/template.xml
===================================================================
--- template/template.xml	(revision 39cb5c38e8e8a1b7edd29c3d24c448bb85abd95d)
+++ template/template.xml	(revision 0590c1b633a0a8bb96299565d5923de9024ed2a9)
@@ -27,5 +27,5 @@
 
 <sect3><title>Package information</title>
-<itemizedlist spacing='compact'>
+<itemizedlist spacing="compact">
 <listitem><para>Download (HTTP): <ulink url="&template-download-http;"/></para></listitem>
 <listitem><para>Download (FTP): <ulink url="&template-download-ftp;"/></para></listitem>
@@ -34,4 +34,10 @@
 <listitem><para>Estimated build time: &template-time;</para></listitem></itemizedlist>
 </sect3>
+
+<sect3><title>Additional downloads</title>
+<itemizedlist spacing="compact">
+<listitem><para>Required Patch: <ulink
+url="&patch-root;/template-&template-version;-patch_name-patch_version.patch"/></para></listitem>
+</itemizedlist></sect3>
 
 <sect3><title><application>template</application> dependencies</title>
@@ -57,4 +63,8 @@
 
 <para><command>COMMAND</command>: This command does something.</para>
+
+<para><parameter>--SWITCH=PARAMETER</parameter>: This parameter does something.</para>
+
+<para><option>--OPTION</option>: This option does something.</para>
 
 </sect2>