Index: gnome/platform/dconf.xml
===================================================================
--- gnome/platform/dconf.xml	(revision b6406d0574dcfc5d07ea942e1eab51115f9fbe0e)
+++ gnome/platform/dconf.xml	(revision 598d1b5973ca52aa345aa00706c8d4e8edee03b0)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gconf.xml
===================================================================
--- gnome/platform/gconf.xml	(revision b6406d0574dcfc5d07ea942e1eab51115f9fbe0e)
+++ gnome/platform/gconf.xml	(revision 598d1b5973ca52aa345aa00706c8d4e8edee03b0)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gcr.xml
===================================================================
--- gnome/platform/gcr.xml	(revision b6406d0574dcfc5d07ea942e1eab51115f9fbe0e)
+++ gnome/platform/gcr.xml	(revision 598d1b5973ca52aa345aa00706c8d4e8edee03b0)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gjs.xml
===================================================================
--- gnome/platform/gjs.xml	(revision b6406d0574dcfc5d07ea942e1eab51115f9fbe0e)
+++ gnome/platform/gjs.xml	(revision 598d1b5973ca52aa345aa00706c8d4e8edee03b0)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-icon-theme-extras.xml
===================================================================
--- gnome/platform/gnome-icon-theme-extras.xml	(revision b6406d0574dcfc5d07ea942e1eab51115f9fbe0e)
+++ gnome/platform/gnome-icon-theme-extras.xml	(revision 598d1b5973ca52aa345aa00706c8d4e8edee03b0)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-icon-theme-symbolic.xml
===================================================================
--- gnome/platform/gnome-icon-theme-symbolic.xml	(revision b6406d0574dcfc5d07ea942e1eab51115f9fbe0e)
+++ gnome/platform/gnome-icon-theme-symbolic.xml	(revision 598d1b5973ca52aa345aa00706c8d4e8edee03b0)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-icon-theme.xml
===================================================================
--- gnome/platform/gnome-icon-theme.xml	(revision b6406d0574dcfc5d07ea942e1eab51115f9fbe0e)
+++ gnome/platform/gnome-icon-theme.xml	(revision 598d1b5973ca52aa345aa00706c8d4e8edee03b0)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-keyring.xml
===================================================================
--- gnome/platform/gnome-keyring.xml	(revision b6406d0574dcfc5d07ea942e1eab51115f9fbe0e)
+++ gnome/platform/gnome-keyring.xml	(revision 598d1b5973ca52aa345aa00706c8d4e8edee03b0)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-themes-standard.xml
===================================================================
--- gnome/platform/gnome-themes-standard.xml	(revision b6406d0574dcfc5d07ea942e1eab51115f9fbe0e)
+++ gnome/platform/gnome-themes-standard.xml	(revision 598d1b5973ca52aa345aa00706c8d4e8edee03b0)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-video-effects.xml
===================================================================
--- gnome/platform/gnome-video-effects.xml	(revision b6406d0574dcfc5d07ea942e1eab51115f9fbe0e)
+++ gnome/platform/gnome-video-effects.xml	(revision 598d1b5973ca52aa345aa00706c8d4e8edee03b0)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gsettings-desktop-schemas.xml
===================================================================
--- gnome/platform/gsettings-desktop-schemas.xml	(revision b6406d0574dcfc5d07ea942e1eab51115f9fbe0e)
+++ gnome/platform/gsettings-desktop-schemas.xml	(revision 598d1b5973ca52aa345aa00706c8d4e8edee03b0)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gtksourceview.xml
===================================================================
--- gnome/platform/gtksourceview.xml	(revision b6406d0574dcfc5d07ea942e1eab51115f9fbe0e)
+++ gnome/platform/gtksourceview.xml	(revision 598d1b5973ca52aa345aa00706c8d4e8edee03b0)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gvfs.xml
===================================================================
--- gnome/platform/gvfs.xml	(revision b6406d0574dcfc5d07ea942e1eab51115f9fbe0e)
+++ gnome/platform/gvfs.xml	(revision 598d1b5973ca52aa345aa00706c8d4e8edee03b0)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/libgtop.xml
===================================================================
--- gnome/platform/libgtop.xml	(revision b6406d0574dcfc5d07ea942e1eab51115f9fbe0e)
+++ gnome/platform/libgtop.xml	(revision 598d1b5973ca52aa345aa00706c8d4e8edee03b0)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/libpeas.xml
===================================================================
--- gnome/platform/libpeas.xml	(revision b6406d0574dcfc5d07ea942e1eab51115f9fbe0e)
+++ gnome/platform/libpeas.xml	(revision 598d1b5973ca52aa345aa00706c8d4e8edee03b0)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/libsecret.xml
===================================================================
--- gnome/platform/libsecret.xml	(revision b6406d0574dcfc5d07ea942e1eab51115f9fbe0e)
+++ gnome/platform/libsecret.xml	(revision 598d1b5973ca52aa345aa00706c8d4e8edee03b0)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/libwnck.xml
===================================================================
--- gnome/platform/libwnck.xml	(revision b6406d0574dcfc5d07ea942e1eab51115f9fbe0e)
+++ gnome/platform/libwnck.xml	(revision 598d1b5973ca52aa345aa00706c8d4e8edee03b0)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/notification-daemon.xml
===================================================================
--- gnome/platform/notification-daemon.xml	(revision b6406d0574dcfc5d07ea942e1eab51115f9fbe0e)
+++ gnome/platform/notification-daemon.xml	(revision 598d1b5973ca52aa345aa00706c8d4e8edee03b0)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/polkit-gnome.xml
===================================================================
--- gnome/platform/polkit-gnome.xml	(revision b6406d0574dcfc5d07ea942e1eab51115f9fbe0e)
+++ gnome/platform/polkit-gnome.xml	(revision 598d1b5973ca52aa345aa00706c8d4e8edee03b0)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/totem-pl-parser.xml
===================================================================
--- gnome/platform/totem-pl-parser.xml	(revision b6406d0574dcfc5d07ea942e1eab51115f9fbe0e)
+++ gnome/platform/totem-pl-parser.xml	(revision 598d1b5973ca52aa345aa00706c8d4e8edee03b0)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/vte.xml
===================================================================
--- gnome/platform/vte.xml	(revision b6406d0574dcfc5d07ea942e1eab51115f9fbe0e)
+++ gnome/platform/vte.xml	(revision 598d1b5973ca52aa345aa00706c8d4e8edee03b0)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/yelp-xsl.xml
===================================================================
--- gnome/platform/yelp-xsl.xml	(revision b6406d0574dcfc5d07ea942e1eab51115f9fbe0e)
+++ gnome/platform/yelp-xsl.xml	(revision 598d1b5973ca52aa345aa00706c8d4e8edee03b0)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/yelp.xml
===================================================================
--- gnome/platform/yelp.xml	(revision b6406d0574dcfc5d07ea942e1eab51115f9fbe0e)
+++ gnome/platform/yelp.xml	(revision 598d1b5973ca52aa345aa00706c8d4e8edee03b0)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>