Index: general.ent
===================================================================
--- general.ent	(revision a98cec9422e2488a00248efdeea875088e5056b8)
+++ general.ent	(revision 601c7523c5fd35c808bbd1310cc4a4bbf906d7e9)
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "December 15th, &year;">
+<!ENTITY releasedate  "December 17th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/sysutils/fcron.xml
===================================================================
--- general/sysutils/fcron.xml	(revision a98cec9422e2488a00248efdeea875088e5056b8)
+++ general/sysutils/fcron.xml	(revision 601c7523c5fd35c808bbd1310cc4a4bbf906d7e9)
@@ -231,4 +231,84 @@
       </indexterm>
 
+      <bridgehead renderas="sect4">Periodic Jobs</bridgehead>
+
+      <para>
+        If you would like to setup a periodic hierarchy for the root user,
+        first issue the following commands (as the
+        <systemitem class="username">root</systemitem> user to create the
+        <filename>/usr/bin/run-parts</filename> script:
+      </para>
+
+<screen role="root"><userinput>cat &gt; /usr/bin/run-parts &lt;&lt; "EOF" &amp;&amp;
+#!/bin/sh
+# run-parts:  Runs all the scripts found in a directory.
+# from Slackware, by Patrick J. Volkerding with ideas borrowed
+# from the Red Hat and Debian versions of this utility.
+
+# keep going when something fails
+set +e
+
+if [ $# -lt 1 ]; then
+  echo "Usage: run-parts &lt;directory&gt;"
+  exit 1
+fi
+
+if [ ! -d $1 ]; then
+  echo "Not a directory: $1"
+  echo "Usage: run-parts &lt;directory&gt;"
+  exit 1
+fi
+
+# There are several types of files that we would like to
+# ignore automatically, as they are likely to be backups
+# of other scripts:
+IGNORE_SUFFIXES="~ ^ , .bak .new .rpmsave .rpmorig .rpmnew .swp"
+
+# Main loop:
+for SCRIPT in $1/* ; do
+  # If this is not a regular file, skip it:
+  if [ ! -f $SCRIPT ]; then
+    continue
+  fi
+  # Determine if this file should be skipped by suffix:
+  SKIP=false
+  for SUFFIX in $IGNORE_SUFFIXES ; do
+    if [ ! "$(basename $SCRIPT $SUFFIX)" = "$(basename $SCRIPT)" ]; then
+      SKIP=true
+      break
+    fi
+  done
+  if [ "$SKIP" = "true" ]; then
+    continue
+  fi
+  # If we've made it this far, then run the script if it's executable:
+  if [ -x $SCRIPT ]; then
+    $SCRIPT || echo "$SCRIPT failed."
+  fi
+done
+
+exit 0
+EOF
+chmod -v 755 /usr/bin/run-parts</userinput></screen>
+
+      <para>
+        Next, create the directory layout for the periodic jobs (again as the
+        <systemitem class="username">root</systemitem> user):
+      </para>
+
+<screen role="root"><userinput>install -vdm754 /etc/cron.{hourly,daily,weekly,monthly}</userinput></screen>
+
+      <para>
+        Finally, add the <command>run-parts</command> to the system fcrontab
+        (while still the <systemitem class="username">root</systemitem> user):
+      </para>
+
+<screen role="root"><userinput>cat &gt; /var/spool/fcron/systab.orig &lt;&lt; "EOF"
+&amp;bootrun 01 * * * * root run-parts /etc/cron.hourly
+&amp;bootrun 02 4 * * * root run-parts /etc/cron.daily
+&amp;bootrun 22 4 * * 0 root run-parts /etc/cron.weekly
+&amp;bootrun 42 4 1 * * root run-parts /etc/cron.monthly
+EOF</userinput></screen>
+
     </sect3>
 
@@ -251,4 +331,11 @@
 
 <screen role="root" revision="systemd"><userinput>systemctl enable fcron</userinput></screen>
+
+      <para>Finally, again as the <systemitem class="username">root</systemitem>
+      user, start fcron and generate the
+      <filename>/var/spool/fcron/systab</filename> file:</para>
+
+<screen role="root"><userinput>/etc/rc.d/init.d/fcron start &amp;&amp;
+fcrontab -z -u systab</userinput></screen>
 
     </sect3>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision a98cec9422e2488a00248efdeea875088e5056b8)
+++ introduction/welcome/changelog.xml	(revision 601c7523c5fd35c808bbd1310cc4a4bbf906d7e9)
@@ -44,4 +44,13 @@
 
     <listitem>
+      <para>December 17th, 2018</para>
+      <itemizedlist>
+        <listitem>
+          <para>[dj] - Add periodic cron configuration for fcron.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>December 16th, 2018</para>
       <itemizedlist>