Index: general.ent
===================================================================
--- general.ent	(revision ef14dbc47fb442cc4d2e26064476e13aae7fd05f)
+++ general.ent	(revision 604ef1fa10da58b4a507e496a672c18b62b1cdf1)
@@ -622,5 +622,4 @@
 <!ENTITY sawfish-version              "1.6.1">
 <!ENTITY fluxbox-version              "1.3.2">
-<!ENTITY metacity-version             "2.34.1">
 
 <!-- Unmaintained
@@ -710,4 +709,5 @@
 <!-- Shell Fallback -->
 <!ENTITY gnome-panel-version          "2.30.2">
+<!ENTITY metacity-version             "2.34.1">
 
 <!-- Platform -->
Index: gnome/core/core.xml
===================================================================
--- gnome/core/core.xml	(revision ef14dbc47fb442cc4d2e26064476e13aae7fd05f)
+++ gnome/core/core.xml	(revision 604ef1fa10da58b4a507e496a672c18b62b1cdf1)
@@ -114,6 +114,6 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-panel.xml"/>
-  <!--<xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-metacity.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-notification-daemon.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="metacity.xml"/>
+  <!--<xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-notification-daemon.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-dbus-python.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-polkit-gnome.xml"/>-->
Index: gnome/core/metacity.xml
===================================================================
--- gnome/core/metacity.xml	(revision 604ef1fa10da58b4a507e496a672c18b62b1cdf1)
+++ gnome/core/metacity.xml	(revision 604ef1fa10da58b4a507e496a672c18b62b1cdf1)
@@ -0,0 +1,217 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY metacity-download-http "&gnome-download-http;/metacity/2.34/metacity-&metacity-version;.tar.xz">
+  <!ENTITY metacity-download-ftp  "&gnome-download-ftp;/metacity/2.34/metacity-&metacity-version;.tar.xz">
+  <!ENTITY metacity-md5sum        "d505e2d7936bd9b11a3f48470a616767">
+  <!ENTITY metacity-size          "1.9 MB">
+  <!ENTITY metacity-buildsize     "60 MB">
+  <!ENTITY metacity-time          "0.7 SBU">
+
+]>
+
+<sect1 id="metacity" xreflabel="Metacity-&metacity-version;">
+  <?dbhtml filename="metacity.html" ?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Metacity-&metacity-version;</title>
+
+  <indexterm zone="metacity">
+    <primary sortas="a-metacity">Metacity</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Metacity</title>
+
+    <para><application>Metacity</application> is the fallback window manager for
+    <application>GNOME</application>, used if the video driver does not provide
+    acceleration. It is conventionally run from <command>gnome-session</command>,
+    which will start the necessary <application>GNOME</application> daemons.</para>
+
+    &lfs70_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&metacity-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&metacity-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &metacity-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &metacity-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &metacity-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &metacity-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Metacity Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required"><xref linkend="GConf"/>,
+    <xref linkend="gtk2"/>,
+    <xref linkend="perl-xml-parser"/>,
+    <xref linkend="zenity"/>, and
+    <xref linkend="libcanberra"/></para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="optional"><xref linkend="startup-notification"/></para>
+
+    <bridgehead renderas="sect4">Additional Runtime Dependency</bridgehead>
+    <para role="optional"><xref linkend="notification-daemon"/>.</para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/metacity"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Metacity</title>
+
+    <para>Install <application>Metacity</application> by running the following
+    commands:</para>
+
+<screen><userinput>./configure \
+    --prefix=/usr \
+    --with-gconf-schema-file-dir=$GNOME_SYSCONFDIR/gconf/schemas &amp;&amp;
+make</userinput></screen>
+
+    <para>This package does not come with a test suite.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install &amp;&amp;
+install -v -m755 -d /usr/share/doc/metacity-&metacity-version; &amp;&amp;
+install -v -m644 README rationales.txt doc/*.txt \
+                    /usr/share/doc/metacity-&metacity-version;</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><option>--with-gconf-schema-file-dir=$GNOME_SYSCONFDIR/gconf/schemas</option>:
+    this will install the schema files are installed into the correct location.</para>
+
+    <para><option>--enable-static=no</option>: This switch prevents the static
+    libraries being installed.</para>
+
+    <!-- now enabled by default, apparently
+    <para><option>\-\-enable-compositor</option>: You must use this parameter
+    (and have <application>libcm</application> installed) to build the
+    <application>Metacity</application> composite manager.</para>-->
+
+  </sect2>
+
+  <!-- no longer correct, but retained as a comment, at least until gnome-session
+  has been updated.
+  <sect2 role="configuration" id="metacity-config">
+    <title>Configuring Metacity</title>
+
+    <sect3>
+      <title>Configuration Information</title>
+
+      <para>To automatically start the <application>Metacity</application>
+      window manager when you issue the <command>startx</command> command,
+      append to (or create) <filename>.xinitrc</filename> using the command
+      below (not required if you are installing
+      <application>Metacity</application> for a
+      <application>GNOME-2</application> installation). Ensure
+      you backup your current <filename>~/.xinitrc</filename> before
+      proceeding:</para>
+
+      <indexterm zone="metacity metacity-config">
+        <primary sortas="e-AA.xinitrc">~/.xinitrc</primary>
+      </indexterm>
+
+<screen><userinput>cat &gt;&gt; ~/.xinitrc &lt;&lt; "EOF"
+<literal>xterm &amp;
+exec metacity</literal>
+EOF</userinput></screen>
+
+    </sect3>
+
+  </sect2>-->
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>metacity, metacity-message, metacity-theme-viewer, and
+        metacity-window-demo</seg>
+        <seg>libmetacity-private.{so,a}</seg>
+        <seg>/usr/{include/metacity-1/metacity-private,
+        share/{doc/metacity-&metacity-version;,
+        gnome/{help/creating-metacity-themes/C,wm-properties},metacity/icons,
+        themes/{AgingGorilla/metacity-1,Atlanta/metacity-1,Bright/metacity-1,
+        Crux/metacity-1,Esco/metacity-1,Metabox/metacity-1,
+        Simple/metacity-1}}}</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="metacity-prog">
+        <term><command>metacity</command></term>
+        <listitem>
+          <para>is the <application>GNOME</application> fallback window manager,
+          used when the video driver does not support acceleration.</para>
+          <indexterm zone="metacity metacity-prog">
+            <primary sortas="b-metacity">metacity</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="metacity-theme-viewer">
+        <term><command>metacity-theme-viewer</command></term>
+        <listitem>
+          <para>allows you to preview any installed
+          <application>Metacity</application> theme. When designing a new
+          <application>Metacity</application> theme, you can use
+          <command>metacity-theme-viewer</command> to measure the performance
+          of a window frame option, and to preview the option.</para>
+          <indexterm zone="metacity metacity-theme-viewer">
+            <primary
+            sortas="b-metacity-theme-viewer">metacity-theme-viewer</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="metacity-window-demo">
+        <term><command>metacity-window-demo</command></term>
+        <listitem>
+          <para>demonstrates various kinds of windows that window managers and
+          window manager themes should handle.</para>
+          <indexterm zone="metacity metacity-window-demo">
+            <primary sortas="b-metacity-window-demo">metacity-window-demo</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision ef14dbc47fb442cc4d2e26064476e13aae7fd05f)
+++ introduction/welcome/changelog.xml	(revision 604ef1fa10da58b4a507e496a672c18b62b1cdf1)
@@ -46,5 +46,7 @@
       <itemizedlist>
         <listitem>
-          <para>[ken] - merge metacity-2.34.1 from Wayne, </para>
+          <para>[ken] - merge metacity-2.34.1 from Wayne, but move it into the gnome
+          part of the book because it can no longer be run without the gnome daemons.
+          </para>
         </listitem>
       </itemizedlist>
Index: wm/metacity.xml
===================================================================
--- x/wm/metacity.xml	(revision ef14dbc47fb442cc4d2e26064476e13aae7fd05f)
+++ 	(revision )
@@ -1,216 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY metacity-download-http "&gnome-download-http;/metacity/2.34/metacity-&metacity-version;.tar.xz">
-  <!ENTITY metacity-download-ftp  "&gnome-download-ftp;/metacity/2.34/metacity-&metacity-version;.tar.xz">
-  <!ENTITY metacity-md5sum        "d505e2d7936bd9b11a3f48470a616767">
-  <!ENTITY metacity-size          "1.9 MB">
-  <!ENTITY metacity-buildsize     "60 MB">
-  <!ENTITY metacity-time          "0.7 SBU">
-
-]>
-
-<sect1 id="metacity" xreflabel="Metacity-&metacity-version;">
-  <?dbhtml filename="metacity.html" ?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>Metacity-&metacity-version;</title>
-
-  <indexterm zone="metacity">
-    <primary sortas="a-metacity">Metacity</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to Metacity</title>
-
-    <para>The <application>Metacity</application> package contains a window
-    manager. This is useful for organizing and displaying windows.</para>
-
-    &lfs70_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>Download (HTTP): <ulink url="&metacity-download-http;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download (FTP): <ulink url="&metacity-download-ftp;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download MD5 sum: &metacity-md5sum;</para>
-      </listitem>
-      <listitem>
-        <para>Download size: &metacity-size;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated disk space required: &metacity-buildsize;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated build time: &metacity-time;</para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">Metacity Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required"><xref linkend="GConf"/>,
-    <xref linkend="gtk2"/>,
-    <xref linkend="perl-xml-parser"/>,
-    <xref linkend="zenity"/>, and
-    <xref linkend="libcanberra"/></para>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="startup-notification"/>
-    (recommended if you are installing <application>GNOME</application>-2)</para>
-
-    <bridgehead renderas="sect4">Additional Runtime Dependency</bridgehead>
-    <para role="optional"><xref linkend="notification-daemon"/>.</para>
-
-    <para condition="html" role="usernotes">User Notes:
-    <ulink url="&blfs-wiki;/metacity"/></para>
-
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of Metacity</title>
-
-    <para>Install <application>Metacity</application> by running the following
-    commands:</para>
-
-<screen><userinput>./configure \
-    --prefix=/usr \
-    --sysconfdir=/etc \
-    --with-gconf-schema-file-dir=$GNOME_SYSCONFDIR/gconf/schemas &amp;&amp;
-make</userinput></screen>
-
-    <para>This package does not come with a test suite.</para>
-
-    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
-
-<screen role="root"><userinput>make install &amp;&amp;
-install -v -m755 -d /usr/share/doc/metacity-&metacity-version; &amp;&amp;
-install -v -m644 README rationales.txt doc/*.txt \
-                    /usr/share/doc/metacity-&metacity-version;</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <para><option>--with-gconf-schema-file-dir=$GNOME_SYSCONFDIR/gconf/schemas</option>:
-    Omit this parameter if you are not installing
-    <application>Metacity</application> for a GNOME-2 installation.</para>
-
-    <para><option>--enable-static=no</option>: This switch prevents the static
-    libraries being installed.</para>
-
-    <!-- now enabled by default, apparently
-    <para><option>\-\-enable-compositor</option>: You must use this parameter
-    (and have <application>libcm</application> installed) to build the
-    <application>Metacity</application> composite manager.</para>-->
-
-  </sect2>
-
-  <sect2 role="configuration" id="metacity-config">
-    <title>Configuring Metacity</title>
-
-    <sect3>
-      <title>Configuration Information</title>
-
-      <para>To automatically start the <application>Metacity</application>
-      window manager when you issue the <command>startx</command> command,
-      append to (or create) <filename>.xinitrc</filename> using the command
-      below (not required if you are installing
-      <application>Metacity</application> for a
-      <application>GNOME-2</application> installation). Ensure
-      you backup your current <filename>~/.xinitrc</filename> before
-      proceeding:</para>
-
-      <indexterm zone="metacity metacity-config">
-        <primary sortas="e-AA.xinitrc">~/.xinitrc</primary>
-      </indexterm>
-
-<screen><userinput>cat &gt;&gt; ~/.xinitrc &lt;&lt; "EOF"
-<literal>xterm &amp;
-exec metacity</literal>
-EOF</userinput></screen>
-
-    </sect3>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Library</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>metacity, metacity-message, metacity-theme-viewer, and
-        metacity-window-demo</seg>
-        <seg>libmetacity-private.{so,a}</seg>
-        <seg>/usr/{include/metacity-1/metacity-private,
-        share/{doc/metacity-&metacity-version;,
-        gnome/{help/creating-metacity-themes/C,wm-properties},metacity/icons,
-        themes/{AgingGorilla/metacity-1,Atlanta/metacity-1,Bright/metacity-1,
-        Crux/metacity-1,Esco/metacity-1,Metabox/metacity-1,
-        Simple/metacity-1}}}</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="metacity-prog">
-        <term><command>metacity</command></term>
-        <listitem>
-          <para>is a window manager used mainly by
-          <application>GNOME</application>.</para>
-          <indexterm zone="metacity metacity-prog">
-            <primary sortas="b-metacity">metacity</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="metacity-theme-viewer">
-        <term><command>metacity-theme-viewer</command></term>
-        <listitem>
-          <para>allows you to preview any installed
-          <application>Metacity</application> theme. When designing a new
-          <application>Metacity</application> theme, you can use
-          <command>metacity-theme-viewer</command> to measure the performance
-          of a window frame option, and to preview the option.</para>
-          <indexterm zone="metacity metacity-theme-viewer">
-            <primary
-            sortas="b-metacity-theme-viewer">metacity-theme-viewer</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="metacity-window-demo">
-        <term><command>metacity-window-demo</command></term>
-        <listitem>
-          <para>demonstrates various kinds of windows that window managers and
-          window manager themes should handle.</para>
-          <indexterm zone="metacity metacity-window-demo">
-            <primary sortas="b-metacity-window-demo">metacity-window-demo</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: x/wm/wm.xml
===================================================================
--- x/wm/wm.xml	(revision ef14dbc47fb442cc4d2e26064476e13aae7fd05f)
+++ x/wm/wm.xml	(revision 604ef1fa10da58b4a507e496a672c18b62b1cdf1)
@@ -56,5 +56,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sawfish.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="fluxbox.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="metacity.xml"/>
 <!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="xfce.xml"/> -->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="other-wms.xml"/>