Index: general/graphlib/gegl.xml
===================================================================
--- general/graphlib/gegl.xml	(revision 3387a840c1cab563194bd759c16c496538005327)
+++ general/graphlib/gegl.xml	(revision 605c3699bb5935f3b7b8775d512f315c1beb5d75)
@@ -7,8 +7,8 @@
   <!ENTITY gegl-download-http "https://download.gimp.org/pub/gegl/0.4/gegl-&gegl-version;.tar.bz2">
   <!ENTITY gegl-download-ftp  " ">
-  <!ENTITY gegl-md5sum        "88004f3a204e2506cd0cc445eba8d63e">
-  <!ENTITY gegl-size          "6.9 MB">
-  <!ENTITY gegl-buildsize     "144 MB (add 23 MB for tests)">
-  <!ENTITY gegl-time          "1.0 SBU (Using parallelism=4; add 0.4 SBU for tests)">
+  <!ENTITY gegl-md5sum        "cb17ac529a882f25f54c0115c63d4027">
+  <!ENTITY gegl-size          "7.0 MB">
+  <!ENTITY gegl-buildsize     "144 MB (add 21 MB for tests)">
+  <!ENTITY gegl-time          "1.0 SBU (Using parallelism=4; add 0.5 SBU for tests)">
 ]>
 
@@ -122,10 +122,4 @@
 
     <para>
-      First, fix a problem with the latest <xref linkend='exiv2'/>:
-    </para>
-
-<screen><userinput>sed -i '/exif.hpp/a#include &lt;exiv2/error.hpp&gt;' tools/exp_combine.cpp</userinput></screen>
-
-    <para>
       Install <application>gegl</application> by running the following commands:
     </para>
Index: gnome.ent
===================================================================
--- gnome.ent	(revision 3387a840c1cab563194bd759c16c496538005327)
+++ gnome.ent	(revision 605c3699bb5935f3b7b8775d512f315c1beb5d75)
@@ -27,5 +27,5 @@
 <!ENTITY GConf-version                     "3.2.6">
 <!ENTITY geocode-glib-version              "3.26.1">
-<!ENTITY gjs-version                       "1.56.1">
+<!ENTITY gjs-version                       "1.56.2">
 <!ENTITY gnome-autoar-version              "0.2.3">
 <!ENTITY gnome-desktop-version             "3.32.2">
Index: gnome/platform/gjs.xml
===================================================================
--- gnome/platform/gjs.xml	(revision 3387a840c1cab563194bd759c16c496538005327)
+++ gnome/platform/gjs.xml	(revision 605c3699bb5935f3b7b8775d512f315c1beb5d75)
@@ -7,8 +7,8 @@
   <!ENTITY gjs-download-http "&gnome-download-http;/gjs/1.56/gjs-&gjs-version;.tar.xz">
   <!ENTITY gjs-download-ftp  "&gnome-download-ftp;/gjs/1.56/gjs-&gjs-version;.tar.xz">
-  <!ENTITY gjs-md5sum        "a83e57b381d70a7affc07ea54eea3827">
+  <!ENTITY gjs-md5sum        "6744153c56e958ad496021062e21823f">
   <!ENTITY gjs-size          "688 KB">
   <!ENTITY gjs-buildsize     "75 MB (with tests)">
-  <!ENTITY gjs-time          "1.1 SBU (with tests)">
+  <!ENTITY gjs-time          "0.6 SBU (using parallelism=4; with tests)">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 3387a840c1cab563194bd759c16c496538005327)
+++ introduction/welcome/changelog.xml	(revision 605c3699bb5935f3b7b8775d512f315c1beb5d75)
@@ -46,4 +46,16 @@
       <para>May 8th, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to mlt-6.16.0. Fixes
+          <ulink url="&blfs-ticket-root;12038">#12038</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gegl-0.4.16. Fixes
+          <ulink url="&blfs-ticket-root;12037">#12037</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gjs-1.56.2. Fixes
+          <ulink url="&blfs-ticket-root;12036">#12036</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[bdubbs] - Update to yelp-3.32.2. Fixes
Index: multimedia/libdriv/mlt.xml
===================================================================
--- multimedia/libdriv/mlt.xml	(revision 3387a840c1cab563194bd759c16c496538005327)
+++ multimedia/libdriv/mlt.xml	(revision 605c3699bb5935f3b7b8775d512f315c1beb5d75)
@@ -7,6 +7,6 @@
   <!ENTITY mlt-download-http "https://github.com/mltframework/mlt/releases/download/v&mlt-version;/mlt-&mlt-version;.tar.gz">
   <!ENTITY mlt-download-ftp  " ">
-  <!ENTITY mlt-md5sum        "d4eb88984d7151c2608f4fd0a4aadbb0">
-  <!ENTITY mlt-size          "1.3 MB">
+  <!ENTITY mlt-md5sum        "e3872267232aae89f5182fd567be2596">
+  <!ENTITY mlt-size          "1.4 MB">
   <!ENTITY mlt-buildsize     "294 MB">
   <!ENTITY mlt-time          "0.5 SBU">
Index: packages.ent
===================================================================
--- packages.ent	(revision 3387a840c1cab563194bd759c16c496538005327)
+++ packages.ent	(revision 605c3699bb5935f3b7b8775d512f315c1beb5d75)
@@ -199,5 +199,5 @@
 <!ENTITY fontconfig-version           "2.13.1">  <!-- stable lt .90 micro version -->
 <!ENTITY fribidi-version              "1.0.5">
-<!ENTITY gegl-version                 "0.4.14">
+<!ENTITY gegl-version                 "0.4.16">
 <!ENTITY giflib-version               "5.1.9">
 <!ENTITY glm-version                  "0.9.9.5">
@@ -945,5 +945,5 @@
 <!ENTITY libvorbis-version            "1.3.6">
 <!ENTITY libvpx-version               "1.8.0">
-<!ENTITY mlt-version                  "6.14.0">
+<!ENTITY mlt-version                  "6.16.0">
 <!ENTITY opal-version                 "3.10.10">
 <!ENTITY opus-version                 "1.3.1">